<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  If IsValid Then
    Response.Redirect( "ThankYou.aspx" )
  End If
End Sub

</Script>

<html>
<head><title>ValidationSummary.aspx</title></head>
<body>

<form Runat="Server">

<asp:ValidationSummary
  HeaderText="There are problems with the following
    form fields:"
  Runat="Server" />

<p>

First Name:
<br>
<asp:TextBox
  ID="txtFirstname"
  Runat="Server" />

<asp:RequiredFieldValidator
  ID="reqVal1"
  ControlToValidate="txtFirstname"
  Text="You must enter a first name!"
  ErrorMessage="First Name"
  Runat="Server" />

<p>

Last Name:
<br>
<asp:TextBox
  ID="txtLastname"
  Runat="Server" />

<asp:RequiredFieldValidator
  ControlToValidate="txtLastname"
  Text="You must enter a last name!"
  ErrorMessage="Last Name"
  Runat="Server" />

<p>

Occupation:
<br>
<asp:TextBox
  ID="txtOccupation"
  Runat="Server" />

<asp:RequiredFieldValidator
  Text="You must enter an occupation!"
  ControlToValidate="txtOccupation"
  ErrorMessage="Occupation"
  Runat="Server" />

<p>

<asp:Button
  Text="Submit"
  OnClick="Button_Click"
  Runat="Server"/>

</form>

</body>
</html>
