<%@ Page Language="C#"%>

<script runat=server>

  void Calendar_SelectionChanged(Object sender , EventArgs e)
	{
	lblDates.Text = "<h2>You selected the following date(s):</h2>";
	foreach (DateTime dtmDate in calCalendar.SelectedDates)
	lblDates.Text += "<li>" + dtmDate.ToString( "D" );
	}

</Script>

<html>
<head><title>CalendarSelected.aspx</title></head>
<body>

<form Runat="Server">

<asp:Calendar
  id="calCalendar"
  SelectionMode="DayWeekMonth"
  SelectWeekText="Select Week"
  SelectMonthText="Select Month"
  OnSelectionChanged="Calendar_SelectionChanged"
  Runat="Server" />

<asp:Label
  ID="lblDates"
  Runat="Server" />

</form>
</body>
</html>
