<Script Runat="Server">

Sub Calendar_SelectionChanged( s As Object, e As EventArgs )
  Dim dtmDate As DateTime

  lblDates.Text = "<h2>You selected the following date(s):</h2>"
  For Each dtmDate in calCalendar.SelectedDates
    lblDates.Text &= "<li>" & dtmDate.ToString( "D" )
  Next
End Sub

</Script>

<html>
<head><title>CalendarSelected.aspx</title></head>
<body>

<form Runat="Server">

<asp:Calendar
  id="calCalendar"
  SelectionMode="DayWeekMonth"
  SelectWeekText="Select Week"
  SelectMonthText="Select Month"
  OnSelectionChanged="Calendar_SelectionChanged"
  Runat="Server" />

<asp:Label
  ID="lblDates"
  Runat="Server" />

</form>
</body>
</html>
