<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<%
Dim objTransaction As SqlTransaction
Dim conBank As SqlConnection
Dim strUpdateAccountA As String
Dim strUpdateAccountB As String
Dim cmdUpdateAccountA As SqlCommand
Dim cmdUpdateAccountB As SqlCommand

' Initialize objects
conBank = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;database=Bank" )

strUpdateAccountA = "Update AccountA Set Balance = Balance - 999.99 WHERE Customer='Smith'"
cmdUpdateAccountA = New SqlCommand( strUpdateAccountA, conBank )

strUpdateAccountB = "Update AccountB Set Balance = Balance + 999.99 WHERE Customer='Smith'"
cmdUpdateAccountB = New SqlCommand( strUpdateAccountB, conBank )

' Open connection
conBank.Open()

' Retrieve transaction from connection
objTransaction = conBank.BeginTransaction

' Assign Transaction to commands
cmdUpdateAccountA.Transaction = objTransaction
cmdUpdateAccountB.Transaction = objTransaction

' Try executing both commands
Try
  cmdUpdateAccountA.ExecuteNonQuery()
  cmdUpdateAccountB.ExecuteNonQuery()

  ' Commit the transaction
  objTransaction.Commit
  Response.Write( "Transaction Successful!" )
Catch ex As Exception
  objTransaction.RollBack
  Response.Write( "Transaction Failed!" )
Finally
  conBank.Close()
End Try
%>
