<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conNorthwind;
	SqlCommand cmdSelect;
	SqlDataReader dtrEmployees;

	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI; Database=Northwind" );
	cmdSelect = new SqlCommand( "Select EmployeeID,LastName From Employees", conNorthwind );
	conNorthwind.Open();
	dtrEmployees = cmdSelect.ExecuteReader();

	rptEmployees.DataSource = dtrEmployees;
	rptEmployees.DataBind();

	dtrEmployees.Close();
	conNorthwind.Close();
}
</Script>

<html>
<head><title>Master.aspx</title></head>
<body>
<form Runat="Server">

<h2>Employee Directory</h2>

<asp:Repeater
  ID="rptEmployees"
  Runat="Server">

<ItemTemplate>
<li>
<%#DataBinder.Eval(Container.DataItem, "LastName" )%>
</ItemTemplate>

</asp:Repeater>

</form>
</body>
</html>
