<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  Dim conPubs As SqlConnection
  Dim cmdSelect As SqlCommand
  Dim dtrAuthors As SqlDataReader

  ' Retrieve records from database
  conPubs = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Pubs" )
  cmdSelect = New SqlCommand( "Select * From Authors", conPubs )
  conPubs.Open()
  dtrAuthors = cmdSelect.ExecuteReader()

  ' Bind to Repeater
  rptAuthors.DataSource = dtrAuthors
  rptAuthors.DataBind()

  dtrAuthors.Close()
  conPubs.Close()
End Sub

</Script>

<html>
<head><title>RepeaterTable.aspx</title></head>
<body>
<form Runat="Server">

<asp:Repeater
  ID="rptAuthors"
  Runat="Server">

  <HeaderTemplate>
    <table border=1 cellpadding=4>
    <tr bgcolor="#eeeeee">
      <th>First Name</th>
      <th>Last Name</th>
      <th>Phone</th>
    </tr>
  </HeaderTemplate>

  <ItemTemplate>
    <tr>
      <td><%# Container.DataItem( "au_fname" ) %></td>
      <td><%# Container.DataItem( "au_lname" ) %></td>
      <td><%# Container.DataItem( "phone" ) %></td>
    </tr>
  </ItemTemplate>

  <AlternatingItemTemplate>
    <tr bgcolor="lightyellow">
      <td><%# Container.DataItem( "au_fname" ) %></td>
      <td><%# Container.DataItem( "au_lname" ) %></td>
      <td><%# Container.DataItem( "phone" ) %></td>
    </tr>
  </AlternatingItemTemplate>

  <FooterTemplate>
    </table>
  </FooterTemplate>

</asp:Repeater>

</form>
</body>
</html>
