<%@ Page Language="C#"%>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>

<script runat=server>
SqlConnection conNorthwind;
string  strSelect;
int intStartIndex;
int intEndIndex;

void Page_Load(Object sender , EventArgs e) 
{
	SqlCommand cmdSelect;

	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Northwind" );
	if (! IsPostBack ) 
	{
		// Get  Total Pages
		strSelect = "Select Count(*) From Products";
		cmdSelect = new SqlCommand( strSelect, conNorthwind );
		conNorthwind.Open();
		dgrdProducts.VirtualItemCount = ( (int)cmdSelect.ExecuteScalar() / dgrdProducts.PageSize );
		conNorthwind.Close();
		BindDataGrid();
	}
}

void BindDataGrid () 
{
	SqlDataAdapter dadProducts;
	DataSet dstProducts;

	intEndIndex = intStartIndex + dgrdProducts.PageSize;
	strSelect = "Select * From Products Where ProductID > @startIndex And ProductID <= @endIndex Order By ProductID";
	dadProducts = new SqlDataAdapter( strSelect, conNorthwind );
	dadProducts.SelectCommand.Parameters.Add( "@startIndex", intStartIndex );
	dadProducts.SelectCommand.Parameters.Add( "@endIndex", intEndIndex );
	dstProducts = new DataSet();
	dadProducts.Fill( dstProducts );

	dgrdProducts.DataSource = dstProducts;
	dgrdProducts.DataBind();
}

void dgrdProducts_PageIndexChanged( object s, DataGridPageChangedEventArgs e ) {
	intStartIndex = ( e.NewPageIndex * dgrdProducts.PageSize );
	dgrdProducts.CurrentPageIndex = e.NewPageIndex;
	BindDataGrid();
}

</Script>

<html>
<head><title>DataGridCustomPaging.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataGrid
  ID="dgrdProducts"
  AllowPaging="True"
  AllowCustomPaging="True"
  PageSize="3"
  OnPageIndexChanged="dgrdProducts_PageIndexChanged"
  PagerStyle-Mode="NumericPages"
  CellPadding="3"
  Runat="Server" />

</form>
</body>
</html>
