<%@ Page Language="C#"%>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>
void Page_Load(Object sender, EventArgs e)
{ 
	BindMasterGrid();
}

void BindMasterGrid (){
	SqlConnection conNorthwind;
	SqlCommand cmdSelect;

	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Northwind" );
	cmdSelect = new SqlCommand( "Select * From Categories", conNorthwind );
	conNorthwind.Open();
	dgrdCategories.DataSource = cmdSelect.ExecuteReader();
	dgrdCategories.DataBind();
	conNorthwind.Close();
}

void BindDetailGrid( int intCatID ) {
	SqlConnection conNorthwind;
	string  strSelect;
	SqlCommand cmdSelect;

	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Northwind" );
	strSelect = "Select * From Products Where CategoryID=@catID";
	cmdSelect = new SqlCommand( strSelect, conNorthwind );
	cmdSelect.Parameters.Add( "@catID", intCatID );
	conNorthwind.Open();
	dgrdProducts.DataSource = cmdSelect.ExecuteReader();
	dgrdProducts.DataBind();
	conNorthwind.Close();
}

void dgrdCategories_ItemCommand( object s, DataGridCommandEventArgs e ) {
	int intCatID;

	intCatID = Convert.ToInt32(dgrdCategories.DataKeys[ e.Item.ItemIndex ]);
	dgrdCategories.SelectedIndex = e.Item.ItemIndex;
	BindDetailGrid( intCatID );
}

</Script>

<html>
<head><title>DataGridMasterDetail.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataGrid
  ID="dgrdCategories"
  OnItemCommand="dgrdCategories_ItemCommand"
  DataKeyField="CategoryID"
  AutoGenerateColumns="False"
  SelectedItemStyle-BackColor="LightGreen"
  ShowHeader="False"
  Runat="Server">
<Columns>
  <asp:TemplateColumn>
  <ItemTemplate>
  <asp:LinkButton
    Text='<%# DataBinder.Eval(Container.DataItem, "CategoryName") %>'
    Runat="Server"/>
  </ItemTemplate>
  </asp:TemplateColumn>
  <asp:BoundColumn DataField="Description" />
</Columns>
</asp:DataGrid>

<p>

<asp:DataGrid
  ID="dgrdProducts"
  HeaderStyle-BackColor="yellow"
  Runat="Server" />

</form>
</body>
</html>
