<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	if (! IsPostBack)
	{
		BindDataList();
	}
}

void BindDataList() {
	SqlConnection conPubs;
	SqlCommand cmdSelect;
	SqlDataReader dtrAuthors;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
	cmdSelect = new SqlCommand( "Select au_lname From Authors", conPubs );
	conPubs.Open();
	dtrAuthors = cmdSelect.ExecuteReader();

	dlstAuthors.DataSource = dtrAuthors;
	dlstAuthors.DataBind();

	dtrAuthors.Close();
	conPubs.Close();
}

void DataList_ItemCommand( object s, DataListCommandEventArgs e ) {
	dlstAuthors.SelectedIndex = e.Item.ItemIndex;
	BindDataList();
}

</Script>

<html>
<head><title>DataListSelected.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataList
  ID="dlstAuthors"
  OnItemCommand="DataList_ItemCommand"
  Runat="Server">

<ItemTemplate>
  <asp:LinkButton
    Text='<%#DataBinder.Eval(Container.DataItem, "au_lname" )%>'
    Runat="Server" />
</ItemTemplate>

<SelectedItemTemplate>
  <b><i><%#DataBinder.Eval(Container.DataItem, "au_lname" )%></i></b>
</SelectedItemTemplate>

</asp:DataList>

</form>
</body>
</html>
