<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conPubs;
	SqlCommand cmdSelect;
	SqlDataReader dtrAuthors;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
	cmdSelect = new SqlCommand( "Select * From Authors", conPubs );
	conPubs.Open();
	dtrAuthors = cmdSelect.ExecuteReader();

	dlstAuthors.DataSource = dtrAuthors;
	dlstAuthors.DataBind();

	dtrAuthors.Close();
	conPubs.Close();
}

</Script>

<html>
<head><title>DataListTemplate.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataList
  ID="dlstAuthors"
  Runat="Server">

<HeaderTemplate>
  <h2>Author Phone Numbers:</h2>
</HeaderTemplate>

<ItemTemplate>
  <table>
  <tr>
    <td align="right">First Name:</td>
    <td><%#DataBinder.Eval(Container.DataItem, "au_fname" )%></td>
  </tr>
  <tr>
    <td align="right">Last Name:</td>
    <td><%#DataBinder.Eval(Container.DataItem, "au_lname" )%></td>
  </tr>
  <tr>
    <td align="right">Phone:</td>
    <td><%#DataBinder.Eval(Container.DataItem, "phone" )%></td>
  </tr>
  </table>
</ItemTemplate>

<SeparatorTemplate>
  <hr>
</SeparatorTemplate>

</asp:DataList>

</form>
</body>
</html>
