<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack
    BindDataList
  End If
End Sub

Sub BindDataList
  Dim conPubs As SqlConnection
  Dim cmdSelect As SqlCommand
  Dim dtrAuthors As SqlDataReader

  conPubs = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Pubs" )
  cmdSelect = New SqlCommand( "Select au_lname From Authors", conPubs )
  conPubs.Open()
  dtrAuthors = cmdSelect.ExecuteReader()

  dlstAuthors.DataSource = dtrAuthors
  dlstAuthors.DataBind()

  dtrAuthors.Close()
  conPubs.Close()
End Sub

Sub DataList_ItemCommand( s As Object, e As DataListCommandEventArgs )
  dlstAuthors.SelectedIndex = e.Item.ItemIndex
  BindDataList
End Sub

</Script>

<html>
<head><title>DataListSelected.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataList
  ID="dlstAuthors"
  OnItemCommand="DataList_ItemCommand"
  Runat="Server">

<ItemTemplate>
  <asp:LinkButton
    Text='<%# Container.DataItem( "au_lname" )%>'
    Runat="Server" />
</ItemTemplate>

<SelectedItemTemplate>
  <b><i><%# Container.DataItem( "au_lname" )%></i></b>
</SelectedItemTemplate>

</asp:DataList>

</form>
</body>
</html>
