<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  Dim dstProducts As DataSet
  Dim conNorthwind As SqlConnection
  Dim dadproducts As SqlDataAdapter
  Dim dcolSalePrice As DataColumn

  ' Grab the products table
  dstProducts = New DataSet()
  conNorthwind = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Northwind" )
  dadProducts = New SqlDataAdapter( "Select * From Products", conNorthwind )
  dadProducts.Fill( dstProducts, "Products" )

  ' Add the calculated column
  dcolSalePrice = New DataColumn( "SalePrice", GetType( Decimal ) )
  dcolSalePrice.Expression = "UnitPrice - (UnitPrice * .10)"
  dstProducts.Tables( "Products" ).Columns.Add( dcolSalePrice )

  ' Bind to the DataGrid
  dgrdProducts.DataSource = dstProducts
  dgrdProducts.DataBind()
End Sub
</Script>

<html>
<head><title>CalculatedColumn.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdProducts"
  Runat="Server" />

</body>
</html>
