<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  Dim dstProducts As DataSet
  Dim conNorthwind As SqlConnection
  Dim dadProducts As SqlDataAdapter
  Dim dtblProducts As DataTable
  Dim objConstraint As UniqueConstraint

  ' Grab Products Table
  dstProducts = New DataSet()
  conNorthwind = New SqlConnection( "Server=localhost;Database=Northwind;UID=sa;PWD=secret" )
  dadProducts = New SqlDataAdapter( "Select * from Products", conNorthwind )
  dadProducts.Fill( dstProducts, "Products" )

  ' Add Unique Constraint
  dtblProducts = dstProducts.Tables( "Products" )
  objConstraint = New UniqueConstraint( dtblProducts.Columns( "ProductName" ) )
  dtblProducts.Constraints.Add( objConstraint )

  ' Bind to DataGrid
  dgrdProducts.DataSource = dstProducts
  dgrdProducts.DataBind()
End Sub

</Script>

<html>
<head><title>UniqueConstraint.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdProducts"
  Runat="Server" />

</body>
</html>
