<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  Dim dstPubs As DataSet
  Dim conPubs As SqlConnection
  Dim dadTitles As SqlDataAdapter
  Dim dtblTitles As DataTable
  Dim drowTitle As DataRow
  Dim objCommandBuilder As New SqlCommandBuilder

  ' Grab Titles Table
  dstPubs = New DataSet()
  conPubs = New SqlConnection( "Server=localhost;Database=Pubs;UID=sa;PWD=secret" )
  dadTitles = New SqlDataAdapter( "Select * from Titles", conPubs )
  dadTitles.Fill( dstPubs, "Titles" )
  dtblTitles = dstPubs.Tables( "Titles" )

  ' Display Original Titles Table
  dgrdOriginalTitles.DataSource = dstPubs
  dgrdOriginalTitles.DataBind()

  ' Add a Row
  drowTitle = dtblTitles.NewRow()
  drowTitle( "Title_id" ) = "xxxx"
  drowTitle( "Title" ) = "ASP.NET Unleashed"
  drowTitle( "Price" ) = 1200.00
  drowTitle( "Type" ) = "Mystery"
  drowTitle( "PubDate" ) = #12/25/1966#
  dtblTitles.Rows.Add( drowTitle )

  ' Delete the First Row
  dtblTitles.Rows( 0 ).Delete()

  ' Double the price of the Second Row
  drowTitle = dtblTitles.Rows( 2 )
  drowTitle( "Price" ) *= 2

  ' Generate the SQL Commands
  objCommandBuilder = New SqlCommandBuilder( dadTitles )

  ' Update Titles Table
  dadTitles.Update( dstPubs, "Titles" )

  ' Display New Titles Table
  dgrdNewTitles.DataSource = dstPubs
  dgrdNewTitles.DataBind()
End Sub

</Script>

<html>
<head><title>UpdateDataSet</title></head>
<body>

<h2>Original Titles Table</h2>
<asp:DataGrid
  id="dgrdOriginalTitles"
  Runat="Server" />

<h2>New Titles Table</h2>
<asp:DataGrid
  id="dgrdNewTitles"
  Runat="Server" />

</body>
</html>