<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Button_Click(Object sender , EventArgs e) 
{
	SqlConnection conPubs;
	string  strSearch;
	SqlCommand cmdSearch;
	SqlDataReader dtrSearch;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
	strSearch = "SELECT Title FROM Titles WHERE CONTAINS( Title, @searchphrase )";
	cmdSearch = new SqlCommand( strSearch, conPubs  );
	cmdSearch.Parameters.Add( "@searchphrase", txtSearchPhrase.Text );
	conPubs.Open();
	dtrSearch = cmdSearch.ExecuteReader();
	while ( dtrSearch.Read())
	{
		lblResults.Text += "<li>" + dtrSearch[ "Title" ];
	}
	conPubs.Close();
}

</Script>

<html>
<head><title>Contains.aspx</title></head>
<body>
<form Runat="Server">

<h2>Search Titles:</h2>
<asp:TextBox
  ID="txtSearchPhrase"
  Columns="50"
  Runat="Server" />
<asp:Button
  Text="Search!"
  OnClick="Button_Click"
  Runat="Server" />
<hr>
<asp:Label
  ID="lblResults"
  EnableViewState="False"
  Runat="Server" />

</form>
</body>
</html>
