Imports System
Imports System.Web
Imports Microsoft.VisualBasic

Namespace myModules

Public Class AuthModule
Implements IHttpModule

Public Sub Init( ByVal myApp As HttpApplication ) _
Implements IHttpModule.Init
  AddHandler myApp.AuthenticateRequest, AddressOf Me.OnEnter
  AddHandler myApp.EndRequest, AddressOf Me.OnLeave
End Sub

Public Sub Dispose() _
Implements IHttpModule.Dispose
End Sub

Public Sub OnEnter( s As Object, e As EventArgs )
  Dim objApp As HttpApplication
  Dim objContext As HttpContext
  Dim strPath As String

  objApp = CType( s, HttpApplication )
  objContext = objApp.Context
  strPath = objContext.Request.Path.ToLower()

  If Right( strPath, 10 ) <>  "login.aspx" Then
    If objContext.Request.Params( "username" ) = Nothing Then
      objContext.Response.Redirect( "login.aspx" )
    End If
  End If
End Sub

Public Sub OnLeave( s As Object, e As EventArgs)
End Sub

End Class
End Namespace
