<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>

<script language="C#" runat=server>
string  strBgcolor;
string  strFontface;
string  strFontsize;

void Page_Load(Object sender , EventArgs e) 
{
  DataRow drowFormat;
  
  DataSet dstFormat = (DataSet)(Cache[ "FormatInfo" ]);
  if ( dstFormat == null )
  {
    dstFormat = GetFormatInfo();
    Cache.Insert( "FormatInfo", dstFormat, new CacheDependency( MapPath( "FormatInfo.xml" ) ) );
  }
  drowFormat = dstFormat.Tables[ 0 ].Rows[0];
  strBgcolor = drowFormat["bgcolor"].ToString();
  strFontface = drowFormat[ "fontface" ].ToString();
  strFontsize = drowFormat[ "fontsize" ].ToString();
}

DataSet GetFormatInfo()
{
  DataSet dstFormat;
  dstFormat = new DataSet();
  dstFormat.ReadXml( MapPath( "FormatInfo.xml" ) );
  return dstFormat;
}

</Script>

<html>
<head>
<basefont
  size="<%=strFontsize%>"
  face="<%=strFontface%>">
<title>FileDependency.aspx</title>
</head>
<body bgcolor="<%=strBgcolor%>">

Hello, welcome to our Web site!
<BR>
<small>Page Generated: <%=System.DateTime.Now%></small>
</body>
</html>
