<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  Dim dstProducts As DataSet

  dstProducts = Cache( "productsDS" )
  If dstProducts Is Nothing Then
    dstProducts = GetProducts()
    Cache.Insert( "Products", dstProducts, _
      New CacheDependency( "c:\tableChange.txt" ) )
  End If
  dgrdProducts.DataSource = dstProducts
  dgrdProducts.DataBind()
End Sub

Function GetProducts() As DataSet
  Dim conNorthwind As SqlConnection
  Dim strSelect As String
  Dim dadProducts As SqlDataAdapter
  Dim dstProducts As DataSet

  conNorthwind = New SqlConnection( "Server=Localhost;UID=sa;PWD=secret;Database=Northwind" )
  strSelect = "Select TOP 20 * From Products ORDER BY ProductID"
  dadProducts = New SqlDataAdapter( strSelect, conNorthwind )
  dstProducts = New DataSet()
  dadProducts.Fill( dstProducts, "ProductsDS" )
  Return dstProducts
End Function

</Script>

<html>
<head><title>DatabaseDependency.aspx</title>
</head>
<body>

<asp:DataGrid
  ID="dgrdProducts"
  Runat="Server" />

</body>
</html>
