<%@ Import Namespace="System.Data" %>
<Script Runat="Server">

Dim strBgcolor As String
Dim strFontface As String
Dim strFontsize As String

Sub Page_Load
  Dim dstFormat As DataSet
  Dim drowFormat As DataRow

  dstFormat = Cache( "FormatInfo" )
  If dstFormat Is Nothing Then
    dstFormat = GetFormatInfo()
    Cache.Insert( "FormatInfo", dstFormat, _
      New CacheDependency( MapPath( "FormatInfo.xml" ) ) )
  End If
  drowFormat = dstFormat.Tables( 0 ).Rows( 0 )
  strBgcolor = drowFormat( "bgcolor" ).Trim
  strFontface = drowFormat( "fontface" ).Trim
  strFontsize = drowFormat( "fontsize" ).Trim
End Sub

Function GetFormatInfo() As DataSet
  Dim dstFormat As DataSet

  dstFormat = New DataSet()
  dstFormat.ReadXML( MapPath( "FormatInfo.xml" ) )
  Return dstFormat
End Function

</Script>

<html>
<head>
<basefont
  size="<%=strFontsize%>"
  face="<%=strFontface%>">
<title>FileDependency.aspx</title>
</head>
<body bgcolor="<%=strBgcolor%>">

Hello, welcome to our Web site!

</body>
</html>
