<%@ Import Namespace="System.Diagnostics" %>

<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack Then
    Dim objCategory As PerformanceCounterCategory

    objCategory = New PerformanceCounterCategory( "ASP.NET Applications" )
    lstInstances.Datasource = objCategory.GetInstanceNames()
    DataBind()
  End If
End Sub

Sub SelectInstance( s As Object, e As EventArgs )
  Dim objCategory As PerformanceCounterCategory

  objCategory = New PerformanceCounterCategory( "ASP.NET Applications" )
  lstCounters.Visible = True
  lstCounters.Datasource = objCategory.GetCounters( lstInstances.SelectedItem.Text )
  lstCounters.DataTextField = "CounterName"
  DataBind()
End Sub

Sub SelectCounter( s As Object, e As EventArgs )
  Dim objCounter As PerformanceCounter

  objCounter = New PerformanceCounter( "ASP.NET Applications", _
    lstCounters.SelectedItem.Text, lstInstances.SelectedItem.Text )
  lblValue.Text = objCounter.NextValue()
End Sub
</Script>

<html>
<head><title>ReadCounters.aspx</title></head>
<body>

<h2>ASP.NET Application Performance Counters</h2>


<form Runat="Server">

<b>Instances</b>
<br>
<asp:ListBox
  ID="lstInstances"
  AutoPostback="True"
  OnSelectedIndexChanged="selectInstance"
  Runat="Server" />
<p>
<b>Counters</b>
<br>
<asp:ListBox
  ID="lstCounters"
  Visible="False"
  AutoPostback="True"
  OnSelectedIndexChanged="selectCounter"
  Runat="Server" />
<p>
<b>Counter Value:</b>
<asp:Label
  ID="lblValue"
  Runat="Server" />

</form>

</body>
</html>
