<%@ Page Language="C#" %>
<script language="C#" runat=server>

void Page_Load( object s, EventArgs e ) {
	PassportIdentity objPassportID;

	objPassportID = (PassportIdentity)User.Identity;
	if ( objPassportID.GetFromNetworkServer ) {
		Response.Redirect( Request.Path );
	}
	plhPassport.Controls.Add( new LiteralControl( objPassportID.LogoTag2() ) );
	if ( objPassportID.IsAuthenticated ) {
		pnlAuth.Visible = true;
	} else {
		pnlAnon.Visible = true;
	}
}
</Script>

<html>
<head><title>News.aspx</title></head>
<body>

<asp:PlaceHolder
  ID="plhPassport"
  Runat="Server" />
<hr>

<asp:Panel
  ID="pnlAuth"
  Visible="False"
  Runat="Server">

  <h2>Customized News</h2>
  News customized only for you...

</asp:Panel>

<asp:Panel
  ID="pnlAnon"
  Visible="False"
  Runat="Server">

  <h2>Anonymous News</h2>
  News for anonymous users...

</asp:Panel>

</body>
</html>
