<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim conMyData As SqlConnection
  Dim cmdSelect As SqlCommand
  Dim parmReturnValue As SqlParameter
  Dim intResult As Integer

  If IsValid Then
    conMyData = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=myData" )
    cmdSelect = New SqlCommand( "DBRegister", conMyData )
    cmdSelect.CommandType = CommandType.StoredProcedure
    parmReturnValue = cmdSelect.Parameters.Add( "RETURN_VALUE", SqlDbType.Int )
    parmReturnValue.Direction = ParameterDirection.ReturnValue
    cmdSelect.Parameters.Add( "@username", txtUsername.Text )
    cmdSelect.Parameters.Add( "@password", txtPassword.Text )
    conMyData.Open()
      cmdSelect.ExecuteNonQuery()
      intResult = cmdSelect.Parameters( "RETURN_VALUE" ).Value
    conMyData.Close()
    If intResult = - 1 Then
      lblMessage.Text = "Username Already Registered!"
    Else
      FormsAuthentication.RedirectFromLoginPage( txtUsername.Text, False )
    End If
  End If
End Sub

</Script>

<html>
<head><title>Register.aspx</title></head>
<body>
<form Runat="Server">

<h2>Please Register</h2>

<asp:Label
  ID="lblMessage"
  ForeColor="Red"
  Font-Bold="True"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Username:</b>
<br>
<asp:TextBox
  ID="txtUsername"
  Runat="Server" />
<asp:RequiredFieldValidator
  ControlToValidate="txtUsername"
  Text="Required!"
  Runat="Server" />
<p>
<b>Password:</b>
<br>
<asp:TextBox
  ID="txtPassword"
  Runat="Server" />
<asp:RequiredFieldValidator
  ControlToValidate="txtPassword"
  Text="Required!"
  Runat="Server" />
<p>
<asp:Button
  Text="Register!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
</body>
</html>
