<%@ WebService Class="ProductsService" Language="C#" %>

using System;
using System.Web.Services;
using System.Data;
using System.Data.SqlClient;

[WebService( Namespace="http://yourdomain.com/webservices" )]
public class ProductsService : WebService {
	[WebMethod] 
	public DataSet GetProducts(string CategoryName) {
		string strSelect;
		SqlConnection conNorthwind;
		SqlDataAdapter dadNorthwind;
		DataSet dstProducts;
		strSelect = "SELECT ProductName, UnitPrice, UnitsInStock, CategoryName " +
		"FROM Products, Categories WHERE Products.CategoryID = " +
		"Categories.CategoryID AND CategoryName = @CategoryName";
	
		conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Northwind" );
		dadNorthwind = new SqlDataAdapter( strSelect, conNorthwind );
		dadNorthwind.SelectCommand.Parameters.Add( "@CategoryName", CategoryName );
		dstProducts = new DataSet();
		dadNorthwind.Fill( dstProducts, "Products" );

		return dstProducts;
	}
}