<%@ Page Language="C#" %>
<%@ Import Namespace="System.Net" %>

<Script Runat="Server">
void Page_Load(object sender, EventArgs e) {
	SessionService objSessionService;
		
	objSessionService = new SessionService();
	objSessionService.CookieContainer = new CookieContainer();

	if (Session["CookieContainer"] == null) {
		Session["CookieContainer"] = objSessionService.CookieContainer;
	} else {
		objSessionService.CookieContainer = (CookieContainer)Session["CookieContainer"];
	}

	lblSessionCounter.Text = objSessionService.GetSessionCounter().ToString();
	lblSessionID.Text = objSessionService.GetSessionID().ToString();
}
</Script>

<html>
<head><title>SessionCounterGood.aspx</title></head>
<body>

<h2>This page works!</h2>

Your session ID is

<asp:Label
  ID="lblSessionID"
  Runat="Server" />

<p>

This page has been requested by you

<asp:Label
  ID="lblSessionCounter"
  Runat="Server" />

times!

</body>
</html>