<%@ Import Namespace="System.Net" %>

<Script Runat="Server">
Sub Page_Load
  Dim objSessionService As SessionService

  objSessionService = New SessionService

  ' Add session cookie to proxy
  objSessionService.CookieContainer = New CookieContainer
  objSessionService.CookieContainer.Add( _
    New Uri( objSessionService.Url ), _
    New Cookie( "ASP.NET_SessionId", Request.Cookies( "ASP.NET_SessionId" ).Value ) )

  lblSessionCounter.Text = objSessionService.GetSessionCounter()
  lblSessionID.Text = objSessionService.GetSessionID()
End Sub
</Script>

<html>
<head><title>SessionCounterGood.aspx</title></head>
<body>

<h2>This page works!</h2>

Your session ID is

<asp:Label
  ID="lblSessionID"
  Runat="Server" />

<p>

This page has been requested by you

<asp:Label
  ID="lblSessionCounter"
  Runat="Server" />

times!

</body>
</html>