<%@ Page Language="C#" %>
<SCRIPT language="JavaScript">

var intCallID = 0;

function Init()
{
  Service.useService("ProductsService.asmx?WSDL","ProductsService");
  intCallID = Service.ProductsService.callService( Categories_Result, "GetCategories" );
}


function Categories_Result( result )
{
  var Categories = new Array();

  Categories = result.value;
  for (var intCounter = 0;intCounter < Categories.length;intCounter++ )
  {
    var optOption = new Option( Categories[ intCounter ] );
    frmProducts.dropCategories.options[ frmProducts.dropCategories.options.length ] = optOption;
  }
}

function Categories_Change( newCategory )
{
  var CategoryName = "";
  CategoryName = newCategory.options[ newCategory.selectedIndex ].text;
  lblCategory.innerText = CategoryName;
  intCallID = Service.ProductsService.callService( Products_Result, "GetProducts", CategoryName );
}


function Products_Result( result )
{
  var Products = new Array();

  Products = result.value;
  frmProducts.lstProducts.options.length = 0;

  for (var intCounter = 0;intCounter < Products.length;intCounter++ )
  {
    var optOption = new Option( Products[ intCounter ] );
    frmProducts.lstProducts.options[ frmProducts.lstProducts.options.length ] = optOption;
  }
  frmProducts.lstProducts.style.display = "block";   
}


</SCRIPT>

<html>
<head><title>BehaviorDataTable.aspx</title></head>
<body onload="Init()">

<div 
  id="Service" 
  style="behavior:url(webservice.htc)"></div>


<form id="frmProducts">

<select 
  name="dropCategories" 
  onchange="Categories_Change( this )">
  <option>Select Product Category</option>
</select>

<p>
<span id="lblCategory"></span>
<br>
<select 
  name="lstProducts" 
  size="10"
  style="display:none">
</select>


</form>
</body>
</html>


