<%@ Page Language="C#" %>
<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.IO" %>

<Script Runat="Server">
void Button_Click(object sender, EventArgs e)
{
	HttpWebRequest objRequest;
	string strRequest;
	Byte[] arrRequest;
	UTF8Encoding objUTF8Encoding;
	Stream strmRequest;
	HttpWebResponse objResponse;
	StreamReader srResponse;

	// Initialize request object  
	objRequest = (HttpWebRequest)WebRequest.Create( "http://localhost/Post.aspx" );
	objRequest.Method = "POST";
	objRequest.ContentType = "application/x-www-form-urlencoded";

	// Create request body
	strRequest = "Message=" + Server.UrlEncode( txtMessage.Text );
	objUTF8Encoding = new UTF8Encoding();
	arrRequest = objUTF8Encoding.GetBytes( strRequest );    

	// Add body to request
	objRequest.ContentLength = arrRequest.Length;
	strmRequest = objRequest.GetRequestStream();
	strmRequest.Write( arrRequest, 0, arrRequest.Length );
	strmRequest.Close();

	// Get response
	objResponse = (HttpWebResponse)objRequest.GetResponse();
	srResponse = new StreamReader( objResponse.GetResponseStream(), Encoding.ASCII );
	lblResponse.Text =  srResponse.ReadToEnd();
	srResponse.Close();
}

</Script> 

<html>
<head><title>HttpWebRequest.aspx</title></head>
<body>

<form runat="Server">

<h3>Enter a message:</h3>

<asp:TextBox
  id="txtMessage"
  Runat="Server" />

<asp:Button
  Text="Post!"
  OnClick="Button_Click"
  Runat="Server" />

<h3>Response:</h3>
<asp:Label
  id="lblResponse"
  EnableViewState="False"
  Runat="Server" />

</form>
</body>
</html>