<%@ Page Language="C#" %>
<%@ Import Namespace="System.Messaging" %>

<script language="C#" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	MessageQueue mqMessages;
	MessageEnumerator enumMessages;
	Message mqMessage;
	  
	if (! MessageQueue.Exists( @".\myQueue" ) )
	{
		MessageQueue.Create( @".\myQueue" );
	}

	mqMessages = new MessageQueue( @".\myQueue" );
	  
	// Send string  Message
	mqMessages.Send( "This is a string", "Message 1" )  ;

	// Send Decimal Message
	mqMessages.Send( 12.34, "Message 2" )  ;

	// Read from Queue
	enumMessages = mqMessages.GetMessageEnumerator();
	while ( enumMessages.MoveNext() ) {
		mqMessage = (Message)enumMessages.Current;
		mqMessage.Formatter = new XmlMessageFormatter( new string[]{ "System.String", "System.Double" } );
		lblMessages.Text += "<li>" + mqMessage.Label;
		lblMessages.Text += "<br>" + mqMessage.Body;
	}
}

</Script>

<html>
<head><title>TargetTypes.aspx</title></head>
<body>

<asp:Label
  id="lblMessages"
  Runat="Server" />
  
</body>
</html>
