<%@ Import Namespace="System.Messaging" %>

<Script runat="Server">

Sub Page_Load
  Dim enumMessages As MessageEnumerator
  Dim mqMessages As MessageQueue
  Dim mqMessage As Message

  mqMessages = New MessageQueue( ".\myQueue" )
  enumMessages = mqMessages.GetMessageEnumerator()
  If enumMessages.MoveNext Then
    mqMessage = CType( enumMessages.Current, Message )
    mqMessage.Formatter = New XmlMessageFormatter( New String(){ "System.String" } )
    lblMessageLabel.Text = mqMessage.Label
    lblMessageBody.Text = mqMessage.Body
    enumMessages.RemoveCurrent()
  End If
End Sub

</Script>

<html>
<head><title>RemoveCurrent.aspx</title></head>
<body>
<form runat="Server">

<b>Message Label</b>
<br>
<asp:Label
  id="lblMessageLabel"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Message Body</b>
<br>
<asp:Label
  id="lblMessageBody"
  EnableViewState="False"
  Runat="Server" />
<p>
<asp:Button
  Text="Next Message"
  Runat="Server" />
  
</form>    
</body>
</html>