<%@ Import Namespace="myComponents" %>
<%@ Import Namespace="System.Messaging" %>

<Script runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim mqMessages As MessageQueue
  Dim objProduct As ProductOrder

  ' Create Product Order
  objProduct = New ProductOrder()
  objProduct.ProductName = txtProductName.Text
  objProduct.UnitPrice = txtUnitPrice.Text
  objProduct.Quantity = txtQuantity.Text
  objProduct.EntryDate = DateTime.Now()

  ' Check for ProductOrders Queue
  If Not MessageQueue.Exists( ".\ProductOrders" ) Then
    MessageQueue.Create( ".\ProductOrders" )
  End If

  ' Send Product Order 
  mqMessages = New MessageQueue( ".\ProductOrders" )
  mqMessages.Send( objProduct, "Product Order" )  

  ' Clear Form Fields
  txtProductName.Text = ""
  txtUnitPrice.Text = ""
  txtQuantity.Text = ""
End Sub

</Script>

<html>
<head><title>SendProductOrder.aspx</title></head>
<body>

<h2>Place Product Order</h2>
<form runat="Server">
<b>Product Name</b>
<br>
<asp:TextBox
  id="txtProductName"
  Runat="Server" />
<p>
<b>Unit Price</b>
<br>
<asp:TextBox
  ID="txtUnitPrice"
  Runat="Server" />
<p>
<b>Quantity</b>
<br>
<asp:TextBox
  ID="txtQuantity"
  Runat="Server" />
<p>
<asp:Button
  Text="Place Order!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
</body>
</html>