<%@ Import Namespace="System.Messaging" %>

<Script runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim mqMessages As MessageQueue

  If Not MessageQueue.Exists( ".\myQueue" ) Then
    MessageQueue.Create( ".\myQueue" )
  End If

  mqMessages = New MessageQueue( ".\myQueue" )
  mqMessages.Send( txtMessageBody.Text, txtMessageLabel.Text )  
  txtMessageLabel.Text = ""
  txtMessageBody.Text = ""
End Sub

</Script>

<html>
<head><title>SendQueue.aspx</title></head>
<body>

<h2>Send Message to Message Queue</h2>
<form runat="Server">
<b>Message Label</b>
<br>
<asp:TextBox
  id="txtMessageLabel"
  Runat="Server" />
<p>
<b>Message Body</b>
<br>
<asp:TextBox
  ID="txtMessageBody"
  TextMode="Multiline"
  Columns="50"
  Rows="10"
  Runat="Server" />
<br>
<asp:Button
  Text="Send Message!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
</body>
</html>