<%@ Page ContentType="image/gif" Language="C#" %>
<%@ Import namespace="System.Drawing" %>
<%@ Import namespace="System.Drawing.Imaging" %>

<script language="C#" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	Bitmap objBitmap;
	Pen objPen;
	string  strAction;
	string  strColor;
	Color objColor;
	int intOldX, intOldY = -1;
	int intNewX, intNewY = -1;

	// Create or Retrieve Bitmap
	objBitmap = new Bitmap(800,600,PixelFormat.Format16bppRgb555);
	// create the graphics "toolbox" and link to the above Bitmap 
	Graphics objGraphics = Graphics.FromImage(objBitmap);
	//objBitmap = Session[ "Canvas" ];
	if ( objBitmap == null ) {
		objBitmap = new Bitmap( 600, 400, PixelFormat.Format16bppRgb555 );
	}
	objGraphics  = Graphics.FromImage( objBitmap );

	// get { Action, Color, and Coordinates
	strAction = Request.QueryString[ "a" ];
	strColor = Request.QueryString[ "color" ];
	intNewX = Convert.ToInt32(Request.QueryString[ "x" ]);
	intNewY = Convert.ToInt32(Request.QueryString[ "y" ]);
	intOldX = Session["OldX"]==null?-1:(int)Session[ "OldX" ];
	intOldY = Session["OldY"]==null?-1:(int)Session[ "OldY" ];

	// Create Pen
	if ( strColor != null ) {
		objColor = Color.FromName( strColor );
		objPen = new Pen( objColor );
	} else {
		objColor = Color.White;
		objPen = new Pen( objColor );
	}

	// Perform Action
	switch (strAction) 
	{ 
		case "SetPixel":
		{
		objBitmap.SetPixel( intNewX, intNewY, objColor );
		}
		break;
		/*
		case "DrawLine":
		if ( intOldX > -1 )
		{
			objGraphics.DrawLine( objPen, intOldX, intOldY, intNewX, intNewY );
		}
		break;
	*/
		case "DrawRectangle":
		if ( intOldX > -1 )
		{
			objGraphics.DrawRectangle( objPen, intOldX, intOldY, intNewX - intOldX, intNewY - intOldY );
		}
			break;
		case "FillRectangle":
		if ( intOldX > -1 )
		{
			objGraphics.FillRectangle( new SolidBrush( objColor ), intOldX, intOldY, intNewX - intOldX, intNewY - intOldY );
		}
			break;
	}

	// Display the Bitmap
	objBitmap.Save( Response.OutputStream, ImageFormat.Gif);

	// Save the Bitmap
	Session["Canvas"] = objBitmap;

	if ( Session["OldX"]== null || (int)Session["OldX"] > -1 )
	{
		Session["OldX"] = -1;
		Session["OldY"] = -1;
	}
	else
	{
		Session["OldX"] = intNewX;
		Session["OldY"] = intNewY;
	}
}

</Script>
