<%@ Page Language="C#" %>
<%@ Import Namespace="System.Drawing" %>

<script language="C#" Debug="true" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
  if (! IsPostBack ) {
    ibtnCanvas.ImageUrl = "PaintImage.aspx";
    lstColor.DataSource = System.Enum.GetValues( typeof( KnownColor ) );
    lstColor.SelectedIndex = 0;
    lstAction.SelectedIndex = 0;
    DataBind();
  }
}

void ibtnCanvas_Click( object s, ImageClickEventArgs e )
{
  string strQueryString = "a=" + lstAction.SelectedItem.Text;
  strQueryString += "&color=" + lstColor.SelectedItem.Text;
  strQueryString += "&x=" + e.X;
  strQueryString += "&y=" + e.Y;
  ibtnCanvas.ImageUrl = "PaintImage.aspx?" + strQueryString;
}

void btnClear_Click( object s, EventArgs e ) {
  Session[ "Canvas" ] = null;
  ibtnCanvas.ImageUrl = "PaintImage.aspx";
}

</Script>

<html>
<head><title>Painter.aspx</title></head>
<body>
<form Runat="Server">

<table width="100%">
<tr><td valign="top">

<h3>Draw:</h3>
<asp:ListBox
  ID="lstAction"
  Runat="Server" >
<asp:ListItem Text="SetPixel" />
<asp:ListItem Text="DrawLine" />
<asp:ListItem Text="DrawRectangle" />
<asp:ListItem Text="FillRectangle" />
</asp:ListBox>

<h3>Color:</h3>
<asp:ListBox
  id="lstColor"
  Runat="Server" />
<p>
<asp:Button
  id="btnClear"
  Text="Clear All"
  OnClick="btnClear_Click"
  Runat="Server" />

</td><td valign="top">
<asp:ImageButton
  id="ibtnCanvas"
  OnClick="ibtnCanvas_Click"
  Runat="Server" />

</td></tr>
</table>

</form>
</body>
</html>
