<%@ Page Language="C#" %>
<%@ Register TagPrefix="myControls" Namespace="myControls" Assembly="DataBoundState"%>
<%@ Import Namespace="System.Data.Common" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

private void Page_Load(object sender, EventArgs e) {
	if (!IsPostBack) {
		SqlConnection conPubs;
		SqlCommand cmdSelect;
		
		conPubs = new SqlConnection( @"Server=localhost;Trusted_Connection=true;Database=Pubs" );
		cmdSelect = new SqlCommand( "Select * From Authors", conPubs );
		conPubs.Open();
		ctrlDataBoundState.DataSource = cmdSelect.ExecuteReader();
		ctrlDataBoundState.DataBind();
		conPubs.Close();
	}
}

</Script>

<html>
<head><title>DisplayDataBoundState.aspx</title></head>
<body>
<form Runat="Server">

<myControls:DataBoundState
  ID="ctrlDataBoundState"
  Runat="Server">
  <ItemTemplate>
    <li> <i> <%# ((DbDataRecord)Container.DataItem)["au_lname"] %>
  </ItemTemplate>
</myControls:DataBoundState>

<p>
<asp:Button
  Text="Reload Page!"
  Runat="Server" />

</form>
</body>
</html>
