<!-- #INCLUDE Virtual="/aspnetjobs/site/includes/header.aspx" -->

<Script runat="Server">

Dim strUsername As String

Sub Page_Load
  If Not IsPostback Then
    strUsername = Request.QueryString( "id" )
    Viewstate( "username" ) = strUsername
  Else
    strUsername = viewstate( "username" )
  End If
End Sub

Sub Button_Click( s As Object, e As EventArgs )
  Dim conJobs As SqlConnection
  Dim strConString As String
  Dim cmdInsert As SqlCommand

  If IsValid Then
  strConString = ConfigurationSettings.AppSettings( "constring" )
  conJobs = New SqlConnection( strConString )
  cmdInsert = New SqlCommand( "addEnquiry", conJobs )
  cmdInsert.CommandType = CommandType.StoredProcedure
  cmdInsert.Parameters.Add( "@from", Page.User.Identity.Name )
  cmdInsert.Parameters.Add( "@to", strUsername )
  cmdInsert.Parameters.Add( "@message", txtMessage.Text )
  conJobs.Open()
    cmdInsert.ExecuteNonQuery()
  conJobs.Close()
  Response.Redirect( _
    String.Format( "/aspnetjobs/{0}.aspx", strUsername ) )
  End If
End Sub

</Script>

<myControls:Header
  PageTitle="Enquire"
  Runat="Server" />
<form runat="Server">

<myControls:UserLinks
  Runat="Server" />
<br clear="all">
Enter a message to send to <%=strUsername%> in the textbox below:
<br>
<asp:TextBox
  ID="txtMessage"
  TextMode="Multiline"
  Columns="80"
  Rows="5"
  CssClass="formfield"
  Runat="Server" />
<br>
<asp:Button
  Text="Send!"
  OnClick="Button_Click"
  Runat="Server" />

</form>

<myControls:Footer
  Runat="Server" />
