<%@ Page Language="C#" %>
<%@ Import Namespace="StoreComponents" %>
<!-- #include virtual="~/includes/header.aspx" -->

<script language="C#" runat=server>
 int intCategory;
 string  strCategoryDescription;

void Page_Load(Object sender , EventArgs e) 
{
  intCategory = System.Convert.ToInt32(Context.Items[ "Category" ]);
  strCategoryDescription = CachedData.GetCategoryDescription( intCategory );
  lblCategoryDescription.Text = strCategoryDescription ;
  dlstProducts.DataSource = CachedData.GetProducts( intCategory );
  dlstProducts.DataBind();
}
</Script>

<html>
<head>
<link href="~/Styles/Store.css" type="text/css" rel="stylesheet" />
<title><%=strCategoryDescription%></title>
</head>
<body bgcolor="lightblue">
<a href="Default.aspx"><img src="banner.gif" border="1"></a>
<form runat="Server">

<myControls:Tabs
  Runat="Server" />
<table width="800" height="100%" cellpadding="10" 
  cellspacing="0" border="0">
<tr>
  <td valign="top" bgcolor="lightyellow">
  <myControls:ShoppingCart
    Runat="Server" />
  </td>
  <td width="100%" valign="top" bgcolor="white">
  <asp:Label
    id="lblCategoryDescription"
    Font-Face="Arial"
    Font-Size="14pt"
    ForeColor="Orange"
    Runat="Server" />

  <asp:DataList
    id="dlstProducts"
    RepeatColumns="2"
    Width="100%"
    CellPadding="15"
    Runat="Server">
    <ItemTemplate>
    <asp:HyperLink
      Text='<%#DataBinder.Eval(Container.DataItem,"ProductName")%>'
      NavigateUrl='<%# String.Format( "Product.aspx?pid={0}&cat={1}", DataBinder.Eval(Container.DataItem, "ProductID"), intCategory) %>'
      Runat="Server" />
    </ItemTemplate>
  </asp:DataList>
  </td>
</tr>
</table>

</form>
<!-- #include virtual="~/includes/footer.aspx" -->
