<%@ Page Language="C#"%>

<script runat=server>
 void Button_Click( object s, EventArgs e ) {
  if ( IsValid ) {
    Response.Redirect( "ThankYou.aspx" );
  }
}

void CustomValidator_ServerValidate( object s, ServerValidateEventArgs e ) {
  string  strValue;

  strValue = e.Value.ToUpper();
  if ( strValue.IndexOf( "ASP.NET UNLEASHED" ) > -1 ) {
    e.IsValid = true;
  } else {
    e.IsValid = false;
  }
}
</script>

<Script Language="JavaScript">
function CustomValidator_ClientValidate(s, e) {
  var strValue;
	
  strValue = e.Value.toUpperCase();
  if (strValue.indexOf("ASP.NET UNLEASHED",0) > -1)  {
    e.IsValid = true;
  } else {
    e.IsValid = false;
  }
}
</Script>

<html>
<head>


<title>CustomValidator.aspx</title>
</head>
<body>

<form Runat="Server">

Enter the name of your favorite book:
<br>
<asp:CustomValidator
  ControlToValidate="txtFavBook"
  ClientValidationFunction="CustomValidator_ClientValidate"
  OnServerValidate="CustomValidator_ServerValidate"
  Display="Dynamic"
  Text="You must type ASP.NET Unleashed!"
  Runat="Server" />

<br>
<asp:TextBox
  ID="txtFavBook"
  TextMode="Multiline"
  Columns="50"
  Rows="3"
  Runat="Server" />

<p>
<asp:Button
  Text="Submit!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
</body>
</html>
