<%@ Page Language="C#"%>

<script runat="server">

void lbtnVisible_Click( object s, EventArgs e ) {
  if ( txtTextBox.Visible == true ) {
    txtTextBox.Visible = false;
    lnkHyperLink.Visible = false;
    lbtnLinkButton.Visible = false;
    btnButton.Visible = false;
    lbtnVisible.Text = "Make Visible!";
  } else {
    txtTextBox.Visible = true;
    lnkHyperLink.Visible = true;
    lbtnLinkButton.Visible = true;
    btnButton.Visible = true;
    lbtnVisible.Text = "Make Invisible!";
  }
}

void lbtnEnabled_Click( object s, EventArgs e ) {
  if ( txtTextBox.Enabled == true ) {
    txtTextBox.Enabled = false;
    lnkHyperLink.Enabled = false;
    lbtnLinkButton.Enabled = false;
    btnButton.Enabled = false;
    lbtnEnabled.Text = "Make Enabled!";
  } else {
    txtTextBox.Enabled = true;
    lnkHyperLink.Enabled = true;
    lbtnLinkButton.Enabled = true;
    btnButton.Enabled = true;
    lbtnEnabled.Text = "Make Disabled!";
  }
}

</Script>

<html>
<head><title>Display.aspx</title></head>
<body>

<form Runat="Server">

TextBox:
<br>
<asp:TextBox
  ID="txtTextBox"
  Text="Some Text"
  Runat="Server" />

<p>
HyperLink:
<br>
<asp:HyperLink
  ID="lnkHyperLink"
  NavigateURL="somepage.aspx"
  Text="Click Here!"
  Runat="Server" />

<p>
LinkButton:
<br>
<asp:LinkButton
  ID="lbtnLinkButton"
  Text="Click Here!"
  Runat="Server" />

<p>
Button:
<br>
<asp:Button
  ID="btnButton"
  Text="Submit!"
  Runat="Server" />

<hr>

<asp:LinkButton
  ID="lbtnVisible"
  Text="Make Invisible!"
  OnClick="lbtnVisible_Click"
  Runat="Server" />

<asp:LinkButton
  ID="lbtnEnabled"
  Text="Make Disabled!"
  OnClick="lbtnEnabled_Click"
  Runat="Server" />

</form>
</body>
</html>
