<%@ Page Language="C#"%>

<script runat="server">

void lstProducts_SelectedIndexChanged(Object sender, EventArgs e)
{
    lstCart.SelectedIndex = -1;
    lstCart.Items.Add( lstProducts.SelectedItem );
}
void btnRemove_Click(Object sender, EventArgs e)
{
   lstCart.Items.Remove( lstCart.SelectedItem );
}
void btnRemoveAll_Click(Object sender, EventArgs e)
{
  lstCart.Items.Clear();
}

</Script>

<html>
<head><title>ListItemCollection.aspx</title></head>
<body>

<form Runat="Server">

<h2>Products:</h2>
<asp:ListBox
  id="lstProducts"
  Width="200"
  AutoPostBack="True"
  OnSelectedIndexChanged="lstProducts_SelectedIndexChanged"
  SelectionMode="Multiple"
  Runat="Server">
  <asp:ListItem Text="Hair Dryer"/>
  <asp:ListItem Text="Shaving Cream"/>
  <asp:ListItem Text="Electric Comb"/>
  <asp:ListItem Text="Nail Polish"/>
  <asp:ListItem Text="French Toast"/>
</asp:ListBox>

<p>

<h2>Shopping Cart:</h2>
<asp:ListBox
    ID="lstCart"
  Width="200"
  SelectionMode="Multiple"
  Runat="Server"/>
<br>
<asp:Button
  id="btnRemove"
  Text="Remove Item"
  OnClick="btnRemove_Click"
  Runat="Server"/>

<asp:Button
  id="btnRemoveAll"
  Text="Remove All"
  OnClick="btnRemoveAll_Click"
  Runat="Server"/>

</form>
</body>
</html>
