<%@ Register TagPrefix="SuperCompany" TagName="Address"
  Src="AddressHashTable.ascx" %>

<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim objItem As Object

  ' Show Billing Information
  lblOutput.Text = "<h2>You entered the following values:</h2>"
  lblOutput.Text &= "<b>Billing Address:</b>"
  lblOutput.Text &= "<li> Street: " & ctlBillingAddress.Values( "Street" )
  lblOutput.Text &= "<li> City: "   & ctlBillingAddress.Values( "City" )
  lblOutput.Text &= "<li> State: "  & ctlBillingAddress.Values( "State" )
  lblOutput.Text &= "<li> ZIP: "    & ctlBillingAddress.Values( "ZIP" )
  lblOutput.Text &= "<p>"

  ' Show Shipping Information
  lblOutput.Text &= "<b>Shipping Address:</b>"
  For Each objItem in ctlShippingAddress.Values
    lblOutput.Text &= "<li> " & objItem.Key & ": " & objItem.Value
  Next
End Sub

</Script>

<html>
<head><title>DisplayAddressHashTable.aspx</title>
<body>

<form Runat="Server">

<h2>Billing Address</h2>

<SuperCompany:Address
  ID="ctlBillingAddress"
  Runat="Server" />

<h2>Shipping Address</h2>

<SuperCompany:Address
  ID="ctlShippingAddress"
  Runat="Server" />

<p>
<asp:Button
  Text="Submit"
  OnClick="Button_Click"
  Runat="Server" />

<p>
<asp:Label
  ID="lblOutput"
  Runat="Server" />

</form>

</body>
</html>
