<%@ Page Language="C#"%>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>

<script runat=server>
void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conNorthwind;
	SqlCommand cmdAddUnique;
	SqlParameter parmReturnValue;

	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;database=Northwind" );
	cmdAddUnique = new SqlCommand( "AddUniqueProduct", conNorthwind );
	cmdAddUnique.CommandType = CommandType.StoredProcedure;

	// Add return value Parameter
	parmReturnValue = cmdAddUnique.Parameters.Add( "ReturnValue", SqlDbType.Int );
	parmReturnValue.Direction = ParameterDirection.ReturnValue;

	// Add product name Input Parameter
	cmdAddUnique.Parameters.Add( "@ProductName", "Milk" );

	// Add unit price name Input Parameter
	cmdAddUnique.Parameters.Add( "@UnitPrice", 43.89 );

	// Execute Command
	conNorthwind.Open();
	cmdAddUnique.ExecuteNonQuery();

	if ( (int)cmdAddUnique.Parameters[ "ReturnValue" ].Value == 0 ) {
		Response.Write( "New Product Added!" );
	} else {
		Response.Write( "Product already exists!" );
	}
	conNorthwind.Close();
}
</script>
