<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conPubs;
	SqlCommand cmdLastName;
	SqlParameter parmLastName;
	string  strLastName;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;database=pubs" );
	cmdLastName = new SqlCommand( "getLastname", conPubs );
	cmdLastName.CommandType = CommandType.StoredProcedure;

	// FirstName Input Parameter
	cmdLastName.Parameters.Add( "@firstname", "Ann" );

	// LastName Output Parameter
	parmLastName = cmdLastName.Parameters.Add( "@lastname", SqlDbType.VarChar );
	parmLastName.Size = 40;
	parmLastName.Direction = ParameterDirection.Output;

	// Execute Command
	conPubs.Open();
	cmdLastName.ExecuteNonQuery();

	// Retrieve value of output parameter
	if (cmdLastName.Parameters[ "@lastname" ].Value != DBNull.Value )
		strLastName = cmdLastName.Parameters[ "@lastname" ].Value.ToString();
	else
		strLastName = "Unknown";
	conPubs.Close();
	Response.Write("The last name is ");
	Response.Write(strLastName);
}
</script>