<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	if (! IsPostBack ) {
		BindDataGrid( "Title" );
	}
}

void BindDataGrid( string  strSortField ) {
	SqlConnection conPubs;
	SqlCommand cmdSelect;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
	cmdSelect = new SqlCommand( "Select * From Titles Order By " + strSortField, conPubs );
	conPubs.Open();
	dgrdTitles.DataSource = cmdSelect.ExecuteReader();
	dgrdTitles.DataBind();
	conPubs.Close();
}

void dgrdTitles_SortCommand( object s, DataGridSortCommandEventArgs e ) {
	BindDataGrid( e.SortExpression );
}

</Script>

<html>
<head><title>DataGridSortExpression.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataGrid
  ID="dgrdTitles"
  AllowSorting="True"
  OnSortCommand="dgrdTitles_SortCommand"
  AutoGenerateColumns="False"
  CellPadding="10"
  Runat="Server">
<Columns>
  <asp:BoundColumn
    DataField="Title"
    HeaderText="Sort Titles"
    SortExpression="title"/>
  <asp:BoundColumn
    HeaderText="Sort Price"
    DataField="price"
    DataFormatString="{0:c}"
    SortExpression="price"/>
  <asp:BoundColumn
    DataField="Notes" />
</Columns>
</asp:DataGrid>

</form>
</body>
</html>
