<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conNorthwind;
	SqlCommand cmdSelect;
	SqlDataReader dtrProducts;

	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Northwind" );
	cmdSelect = new SqlCommand( "Select ProductName From Products", conNorthwind );
	conNorthwind.Open();
	dtrProducts = cmdSelect.ExecuteReader();

	dlstProducts.DataSource = dtrProducts;
	dlstProducts.DataBind();

	dtrProducts.Close();
	conNorthwind.Close();
}

</Script>

<html>
<head><title>DataListMultiColumn.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataList
  ID="dlstProducts"
  RepeatColumns="4"
  RepeatDirection="Horizontal"
  CellSpacing="10"
  Runat="Server">

<ItemTemplate>
  <asp:LinkButton
    Text='<%#DataBinder.Eval(Container.DataItem, "ProductName" )%>'
    Runat="Server"/>
</ItemTemplate>

</asp:DataList>

</form>
</body>
</html>
