<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack Then
    BindDataGrid
  End If
End Sub

Sub BindDataGrid
  Dim conPubs As SqlConnection
  Dim cmdSelect As SqlCommand

  conPubs = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Pubs" )
  cmdSelect = New SqlCommand( "Select * From Titles", conPubs )
  conPubs.Open()
  dgrdTitles.DataSource = cmdSelect.ExecuteReader()
  dgrdTitles.DataBind()
  conPubs.Close()
End Sub

Sub dgrdTitles_EditCommand( s As Object, e As DataGridCommandEventArgs )
  dgrdTitles.EditItemIndex = e.Item.ItemIndex
  BindDataGrid
End Sub

</Script>

<html>
<head><title>DataGridEditCommandColumn.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataGrid
  ID="dgrdTitles"
  OnEditCommand="dgrdTitles_EditCommand"
  AutoGenerateColumns="False"
  CellPadding="10"
  Runat="Server">
<Columns>
  <asp:BoundColumn
    HeaderText="Book Titles"
    DataField="Title" />

  <asp:EditCommandColumn
    EditText="Edit!"
    UpdateText="Update!"
    CancelText="Cancel!" />

</Columns>
</asp:DataGrid>

</form>
</body>
</html>
