<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack Then
    Dim conPubs As SqlConnection
    Dim cmdSelect As SqlCommand
    Dim dtrTitles As SqlDataReader

    conPubs = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Pubs" )
    cmdSelect = New SqlCommand( "Select Title From Titles", conPubs )
    conPubs.Open()
    dtrTitles = cmdSelect.ExecuteReader()

    dlstTitles.DataSource = dtrTitles
    dlstTitles.DataBind()

    dtrTitles.Close()
    conPubs.Close()
  End If
End Sub

Sub DataList_ItemCommand( s As Object, e As DataListCommandEventArgs )
  lblMessage.Text = "<li>Item Command!"
End Sub

Sub DataList_EditCommand( s As Object, e As DataListCommandEventArgs )
  lblMessage.Text &= "<li>Editing Item!"
End Sub

Sub DataList_DeleteCommand( s As Object, e As DataListCommandEventArgs )
  lblMessage.Text = "<li>Deleting Item!"
End Sub

Sub DataList_UpdateCommand( s As Object, e As DataListCommandEventArgs )
  lblMessage.Text = "<li>Updating Item!"
End Sub

</Script>

<html>
<head><title>DataListEvents.aspx</title></head>
<body>

<form Runat="Server">

<asp:Label
  ID="lblMessage"
  BackColor="yellow"
  Runat="Server" />
<p>
<asp:DataList
  ID="dlstTitles"
  OnItemCommand="DataList_ItemCommand"
  OnEditCommand="DataList_EditCommand"
  OnDeleteCommand="DataList_DeleteCommand"
  OnUpdateCommand="DataList_UpdateCommand"
  GridLines="Both"
  CellPadding="4"
  Runat="Server">

<ItemTemplate>
  <%# Container.DataItem( "Title" )%>
  <br>
  <asp:LinkButton
    Text="Edit!"
    CommandName="edit"
    Runat="Server"/>
  <asp:LinkButton
    Text="Delete!"
    CommandName="delete"
    Runat="Server"/>
  <asp:LinkButton
    Text="Update!"
    CommandName="update"
    Runat="Server"/>
</ItemTemplate>

</asp:DataList>

</form>
</body>
</html>
