<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	DataRow drowRow;
	DataView dvwPasswords;
	int intCounter;
	DataColumn[] arrColumns = new DataColumn[1];

	// Create the DataTable
	DataTable dtblPasswords = new DataTable( "passwords" );
	dtblPasswords.MinimumCapacity = 200;
	dtblPasswords.CaseSensitive = true;

	// Add the Password Column as a Primary Key
	DataColumn dcolColumn = new DataColumn ( "password", typeof( string  ) );
	dtblPasswords.Columns.Add( dcolColumn );
	arrColumns[0] = dcolColumn;
	dtblPasswords.PrimaryKey = arrColumns;

	// Add some rows
	for ( intCounter = 1; intCounter < 101; intCounter++)
	{
		drowRow = dtblPasswords.NewRow();
		drowRow["password"] = "SECRET" + intCounter.ToString();
		dtblPasswords.Rows.Add( drowRow );
		drowRow = dtblPasswords.NewRow();
		drowRow["password"] = "secret" + intCounter.ToString();
		dtblPasswords.Rows.Add( drowRow );
	} 

	// Bind DataTable to DataGrid
	dvwPasswords = dtblPasswords.DefaultView;
	dvwPasswords.RowFilter = "password='secret1'";
	dgrdPasswords.DataSource = dvwPasswords;
	dgrdPasswords.DataBind();
}

</Script>

<html>
<head><title>DataTableProperties.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdPasswords"
  Runat="Server" />

</body>
</html>
