<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Dim dstNorthwind As DataSet
Dim dvwProducts As DataView

Sub Page_Load
  Dim conNorthwind As SqlConnection
  Dim dadNorthwind As SqlDataAdapter

  dstNorthwind = New DataSet()
  conNorthwind = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Northwind" )
  dadNorthwind = New SqlDataAdapter( "Select * From Categories", conNorthwind )
  dadNorthwind.Fill( dstNorthwind, "Categories" )
  dadNorthwind.SelectCommand = New SqlCommand( "Select * From Products", conNorthwind )
  dadNorthwind.Fill( dstNorthwind, "Products" )

  dvwProducts = dstNorthwind.Tables( "Products" ).DefaultView()

  rptCategories.DataSource = dstNorthwind
  rptCategories.DataMember = "Categories"
  rptCategories.DataBind()
End Sub

Function FilterProducts( intCatID As Integer ) As DataView
  dvwProducts.RowFilter = "CategoryID=" & intCatID
  Return dvwProducts
End Function

</Script>

<html>
<head><title>NestedRowFilter.aspx</title></head>
<body>

<asp:Repeater
  ID="rptCategories"
  Runat="Server">
<ItemTemplate>
<h2><%# Container.DataItem( "CategoryName" )%></h2>
<asp:DataGrid
  DataSource='<%# FilterProducts( Container.DataItem( "CategoryID" ) )%>'
  Runat="Server" />
</ItemTemplate>
</asp:Repeater>

</body>
</html>
