<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<script runat=server>

void Button_Click( object s, EventArgs e ) {
	OleDbConnection conMyData;
	string  strSearch;
	OleDbCommand cmdSearch;
	OleDbDataReader dtrSearch;

	conMyData = new OleDbConnection( "Provider=MSIDXS;Data Source=Web" );
	strSearch = "SELECT RANK, FileName, VPath, Characterization " 
		+ "FROM SCOPE() WHERE FREETEXT(" + txtSearchPhrase.Text + ") "
		+ "ORDER BY RANK DESC";
	cmdSearch = new OleDbCommand( strSearch, conMyData );
	conMyData.Open();
	try 
	{
		dtrSearch = cmdSearch.ExecuteReader();
		lblResults.Text = "<ul>";
		while ( dtrSearch.Read() )
		{
		lblResults.Text = "<li> (" + (int)dtrSearch["RANK"] / 10 + "%) ";
		lblResults.Text = "<a href=" + dtrSearch["VPath"].ToString();
		lblResults.Text = (string)dtrSearch["FileName"] + "</a><br>";
		lblResults.Text = (string)dtrSearch["Characterization"];
		lblResults.Text = "<p>";
		}
	}
	catch (Exception exc)
	{
		lblResults.Text = "Please rephrase your query";
	}	
	conMyData.Close();
}

</Script>

<html>
<head><title>FileFreeText.aspx</title></head>
<body>

<form Runat="Server">

<h2>File Free Text Search:</h2>
<asp:TextBox
  ID="txtSearchPhrase"
  Columns="50"
  Runat="Server" />
<asp:Button
  Text="Search!"
  OnClick="Button_Click"
  Runat="Server" />
<hr>
<asp:Label
  ID="lblResults"
  EnableViewState="False"
  Width="400px"
  Runat="Server" />

</form>
</body>
</html>
