<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim conPubs As SqlConnection
  Dim strSearch As String
  Dim cmdSearch As SqlCommand
  Dim dtrSearch As SqlDataReader

  conPubs = New SqlConnection( "Server=Localhost;UID=sa;PWD=secret;Database=Pubs" )
  strSearch = "SELECT RANK, Title FROM Titles," & _
    "CONTAINSTABLE( Titles, Title, @searchphrase ) searchTable " & _
    "WHERE [KEY] = Titles.Title_ID " & _
    "ORDER BY RANK DESC "
  cmdSearch = New SqlCommand( strSearch, conPubs )
  cmdSearch.Parameters.Add( "@searchphrase", txtSearchphrase.Text )
  conPubs.Open()
  dtrSearch = cmdSearch.ExecuteReader()
  lblResults.Text = "<table border=1 cellspacing=0 cellpadding=4>"
  While dtrSearch.Read
    lblResults.Text &= "<tr>"
    lblResults.Text &= "<td align=right>&nbsp;"
    lblResults.Text &= ShowRank( dtrSearch( "RANK" ) )
    lblResults.Text &= "</td>"
    lblResults.Text &= "<td>" & dtrSearch( "Title" ) & "</td>"
    lblResults.Text &= "</tr>"
  End While
  lblResults.Text &= "</table>"
  conPubs.Close
End Sub

Function ShowRank( intRank As Integer ) As String
  Dim intCounter As Integer
  Dim strRank As String
  strRank = "<font color=green>"
  For intCounter = 1 to intRank \ 10
    strRank &= "*"
  Next
  strRank &= "</font>"
  Return strRank
End Function

</Script>

<html>
<head><title>ContainsTable.aspx</title></head>
<body>

<form Runat="Server">

<h2>Search Titles:</h2>
<asp:TextBox
  ID="txtSearchPhrase"
  Columns="50"
  Runat="Server" />
<asp:Button
  Text="Search!"
  OnClick="Button_Click"
  Runat="Server" />
<hr>
<asp:Label
  ID="lblResults"
  EnableViewState="False"
  Runat="Server" />

</form>
</body>
</html>
