<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim strFileExtension As String
  Dim strFileType As String
  Dim intFileLen As Integer
  Dim objStream As Stream
  Dim conMyData As SqlConnection
  Dim strInsert As String
  Dim cmdInsert As SqlCommand

  If Not IsNothing( txtFileContents.PostedFile ) Then
    ' Determine File Type
    strFileExtension = RIGHT( txtFileContents.PostedFile.FileName, 4 )
    SELECT Case strFileExtension.ToLower
      CASE ".doc"
        strFileType = "doc"
      CASE ".ppt"
        strFileType = "ppt"
      CASE ".htm"
        strFileType = "htm"
      CASE "html"
        strFileType = "htm"
      CASE ELSE
        strFileType = "txt"
    End SELECT

    ' Grab the contents of uploaded file
    intFileLen = txtFileContents.PostedFile.ContentLength
    Dim arrFile( intFileLen ) As Byte
    objStream = txtFileContents.PostedFile.InputStream
    objStream.Read( arrFile, 0, intFileLen )

    ' Add Uploaded file to database
    conMyData = New SqlConnection( "Server=Localhost;UID=sa;PWD=secret;Database=myData" )
    strInsert = "Insert Uploads ( u_title, u_documentType, u_document ) " & _
      "Values ( @title, @fileType, @document )"
    cmdInsert = New SqlCommand( strInsert, conMyData )
    cmdInsert.Parameters.Add( "@title", txtfileTitle.Text )
    cmdInsert.Parameters.Add( "@fileType", strFileType )
    cmdInsert.Parameters.Add( "@document", arrFile )
    conMyData.Open()
    cmdInsert.ExecuteNonQuery()
    conMyData.Close()
  End If
End Sub

</Script>

<html>
<head><title>DBUpload.aspx</title></head>
<body>

<form
  enctype="multipart/form-data"
  Runat="Server">

<h2>Upload File:</h2>

<b>File Title:</b>
<br>
<asp:TextBox
  ID="txtFileTitle"
  Runat="Server" />
<asp:RequiredFieldValidator
  ControlToValidate="txtFileTitle"
  Text="Required!"
  Runat="Server" />
<p>
<b>File:</b>
<br>
<input
  id="txtFileContents"
  type="file"
  Runat="Server" />
<p>
<asp:Button
  Text="Upload File!"
  OnClick="Button_Click"
  Runat="Server" />

</form>

</body>
</html>
