<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script language="C#" runat=server>
void Button_Click( object s, EventArgs e ) {
	SqlConnection conMyData;
	SqlCommand cmdSelect;
	SqlParameter parmReturnValue;
	int intResult;

	if ( IsValid )
	{
		conMyData = new SqlConnection( "Server=localhost;Integrated Security=SSPI;Database=myData" );
		cmdSelect = new SqlCommand( "DBRegister", conMyData );
		cmdSelect.CommandType = CommandType.StoredProcedure;
		parmReturnValue = cmdSelect.Parameters.Add( "RETURN_VALUE", SqlDbType.Int );
		parmReturnValue.Direction = ParameterDirection.ReturnValue;
		cmdSelect.Parameters.Add( "@username", txtUsername.Text );
		cmdSelect.Parameters.Add( "@password", txtPassword.Text );
		conMyData.Open();
		cmdSelect.ExecuteNonQuery();
		intResult = System.Convert.ToInt32(cmdSelect.Parameters[ "RETURN_VALUE" ].Value);
		conMyData.Close();
		if ( intResult == - 1 )
		{
		lblMessage.Text = "Username Already Registered!";
		} 
		else
		{
		FormsAuthentication.RedirectFromLoginPage( txtUsername.Text, false );
		}
	}
}

</Script>

<html>
<head><title>Register.aspx</title></head>
<body>
<form Runat="Server">

<h2>Please Register</h2>

<asp:Label
  ID="lblMessage"
  ForeColor="Red"
  Font-Bold="True"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Username:</b>
<br>
<asp:TextBox
  ID="txtUsername"
  Runat="Server" />
<asp:RequiredFieldValidator
  ControlToValidate="txtUsername"
  Text="Required!"
  Runat="Server" />
<p>
<b>Password:</b>
<br>
<asp:TextBox
  ID="txtPassword"
  Runat="Server" />
<asp:RequiredFieldValidator
  ControlToValidate="txtPassword"
  Text="Required!"
  Runat="Server" />
<p>
<asp:Button
  Text="Register!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
</body>
</html>
