<%@ Import Namespace="System.Data" %>

<Script Runat="Server">

Sub Page_Load
  Dim strLinkPath As String

  If Not IsPostBack Then
    strLinkPath = String.Format( "Register/Register.aspx?ReturnUrl={0}", _
      Request.Params( "ReturnUrl" ) )
    lnkRegister.NavigateUrl = String.Format( strLinkPath )
  End If
End Sub

Sub Button_Click( s As Object, e As EventArgs )
  If IsValid Then
    If XmlAuthenticate( txtUsername.Text, txtPassword.Text ) Then
      FormsAuthentication.RedirectFromLoginPage( txtUsername.Text, False )
    End If
  End If
End Sub

Function XmlAuthenticate( strUsername As String, strPassword As String ) As Boolean
  Dim dstPasswords As DataSet
  Dim dtblPasswords As DataTable
  Dim arrUsers() As DataRow

  dstPasswords = New DataSet()
  dstPasswords.ReadXml( MapPath( "Passwords.xml" ) )
  dtblPasswords = dstPasswords.Tables( 0 )
  arrUsers = dtblPasswords.Select( "name='" & strUsername & "'" )
  If arrUsers.Length > 0 Then
    If arrUsers( 0 )( "password" ) = strPassword Then
      Return True
    Else
      lblMessage.Text = "Incorrect Password!"
    End If
  Else
    lblMessage.Text = "Username Not Found!"
  End If
  Return False
End Function

</Script>

<html>
<head><title>Login.aspx</title></head>
<body>
<form Runat="Server">

<h2>Please Login:</h2>

<asp:Label
  ID="lblMessage"
  ForeColor="Red"
  Font-Bold="True"
  Runat="Server" />
<p>
<b>Username:</b>
<br>
<asp:TextBox
  ID="txtUsername"
  Runat="Server" />
<asp:RequiredFieldValidator
  ControlToValidate="txtUsername"
  Text="Required!"
  Runat="Server" />
<p>
<b>Password:</b>
<br>
<asp:TextBox
  ID="txtPassword"
  Runat="Server" />
<asp:RequiredFieldValidator
  ControlToValidate="txtPassword"
  Text="Required!"
  Runat="Server" />
<p>
<asp:Button
  Text="Login!"
  OnClick="Button_Click"
  Runat="Server" />
<hr>
<asp:HyperLink
  ID="lnkRegister"
  Text="Click Here To Register!"
  Runat="Server" />

</form>
</body>
</html>
