<Script Runat="Server">

Sub Page_Load
  If Request.IsSecureConnection Then
    lblMessage.Text = "You are using a secure connection"
    lblMessage.Text &= "<br><b>Issuer:</b>"
    lblMessage.Text &= Request.ServerVariables( "CERT_SERVER_ISSUER" )
    lblMessage.Text &= "<br><b>Subject</b>"
    lblMessage.Text &= Request.ServerVariables( "CERT_SERVER_SUBJECT" )
    lblMessage.Text &= "<br><b>Encryption Key Size:</b>"
    lblMessage.Text &= Request.ServerVariables( "CERT_KEYSIZE" )
    lblMessage.Text &= "<br><b>Certificate Key Size:</b>"
    lblMessage.Text &= Request.ServerVariables( "CERT_SECRETKEYSIZE" )
    lblMessage.ForeColor = System.Drawing.Color.Green
  Else
    lblMessage.Text = "You are not using a secure connection"
    lblMessage.ForeColor = System.Drawing.Color.Red
  End If
End Sub

</Script>

<html>
<head><title>IsSecureConnection.aspx</title></head>
<body>

<asp:Label
  ID="lblMessage"
  Runat="Server" />

<p>

Please enter your credit card information, your social security number,
your yearly income, and your favorite color.

</body>
</html>
