<%@ Page Language="C#" %>
<%@ Import Namespace="Services" %>

<script language="C#" runat=server>


const string  strUsername = "Steve";
const string  strPassword = "Secret";

void Page_Load(Object sender , EventArgs e) 
{
	SecureService objSecureService;
	ServiceTicket objServiceTicket;
	AuthHeader objAuthHeader;

	objSecureService = new SecureService();
	objServiceTicket = (ServiceTicket)Session["ServiceTicket"];

	// Check for ticket existence
	if ( objServiceTicket == null ) {
		objServiceTicket = objSecureService.Login( strUsername, strPassword );
		Session["ServiceTicket"] = objServiceTicket;
	}

	// Check for ticket expiration
	if ( objServiceTicket.Expiration < DateTime.Now ) {
		objServiceTicket = objSecureService.Login( strUsername, strPassword );
		Session["ServiceTicket"] = objServiceTicket;
	}

	// Call the web service
	if ( objServiceTicket.IsAuthenticated ) {
		objAuthHeader = new AuthHeader();
		objAuthHeader.SessionKey = objServiceTicket.SessionKey;
		objSecureService.AuthHeaderValue = objAuthHeader;
		lblLuckyNumber.Text = objSecureService.GetLuckyNumber().ToString();
	} else {
		lblLuckyNumber.Text = "Invalid username or password!";
	}
}

</Script>

<html>
<head><title>TestSecureService.aspx</title></head>
<body>

<asp:Label
  id="lblLuckyNumber"
  EnableViewState="False"
  Runat="Server" />

</body>
</html>




