<%@ Page Language="C#" %>
<%@ Import Namespace="System.Globalization" %>

<script language="C#" runat=server>

Decimal decPrice = 9999.99m;
Decimal decQuantity = 9999.99m;

void Page_Load(Object sender , EventArgs e) 
{
  dgrdCultures.DataSource = CultureInfo.GetCultures( CultureTypes.InstalledWin32Cultures );
  dgrdCultures.DataBind();
}

</Script>
<html>
<head><title>CultureInfo.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdCultures"
  AutoGenerateColumns="False"
  CellPadding="4"
  HeaderStyle-Font-Bold="True"
  HeaderStyle-BackColor="Turquoise"
  AlternatingItemStyle-BackColor="AliceBlue"
  Runat="Server">
<Columns>
  <asp:BoundColumn
    HeaderText="EnglishName"
    DataField="EnglishName" />
  <asp:BoundColumn
    HeaderText="Name"
    DataField="Name" />
  <asp:TemplateColumn HeaderText="Currency Format">
    <itemTemplate>
    <%# decPrice.ToString( "c", (IFormatProvider)Container.DataItem ) %>
    </itemTemplate>
  </asp:TemplateColumn>
  <asp:TemplateColumn HeaderText="Number Format">
    <itemTemplate>
    <%# decQuantity.ToString( "n", (IFormatProvider)Container.DataItem ) %>
    </itemTemplate>
  </asp:TemplateColumn>
  <asp:TemplateColumn HeaderText="Date/Time Format">
    <itemTemplate>
    <%# DateTime.Now.ToString( "F", (IFormatProvider)Container.DataItem ) %>
    </itemTemplate>
  </asp:TemplateColumn>
</Columns>
</asp:DataGrid>

</body>
</html>
