<%@ Import Namespace="System.Globalization" %>

<Script Runat="Server">

Dim decPrice As Decimal = 9999.99
Dim decQuantity As Decimal = 9999.99

Sub Page_Load
  dgrdCultures.DataSource = CultureInfo.GetCultures( CultureTypes.InstalledWin32Cultures )
  dgrdCultures.DataBind()
End Sub

</Script>
<html>
<head><title>CultureInfo.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdCultures"
  AutoGenerateColumns="False"
  CellPadding="4"
  HeaderStyle-Font-Bold="True"
  HeaderStyle-BackColor="Turquoise"
  AlternatingItemStyle-BackColor="AliceBlue"
  Runat="Server">
<Columns>
  <asp:BoundColumn
    HeaderText="EnglishName"
    DataField="EnglishName" />
  <asp:BoundColumn
    HeaderText="Name"
    DataField="Name" />
  <asp:TemplateColumn HeaderText="Currency Format">
    <itemTemplate>
    <%# decPrice.ToString( "c", Container.DataItem ) %>
    </itemTemplate>
  </asp:TemplateColumn>
  <asp:TemplateColumn HeaderText="Number Format">
    <itemTemplate>
    <%# decQuantity.ToString( "n", Container.DataItem ) %>
    </itemTemplate>
  </asp:TemplateColumn>
  <asp:TemplateColumn HeaderText="Date/Time Format">
    <itemTemplate>
    <%# DateTime.Now.ToString( "F", Container.DataItem ) %>
    </itemTemplate>
  </asp:TemplateColumn>
</Columns>
</asp:DataGrid>

</body>
</html>
