<%@ Page Language="C#" %>
<%@ Import Namespace="myComponents" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Runtime.Serialization.Formatters.Binary" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script language="C#" runat=server>

void Button_Click( object s, EventArgs e ) {
   UserInfo objUserInfo;
   MemoryStream objMemoryStream;
   BinaryFormatter objBinaryFormatter;
   SqlConnection conMyData;
   SqlCommand cmdInsert;
  
  objUserInfo = new UserInfo();
  objUserInfo.Username = txtUsername.Text;
  objUserInfo.Password = txtPassword.Text;
  objUserInfo.Email = txtEmail.Text;

  objMemoryStream = new MemoryStream();
  objBinaryFormatter = new BinaryFormatter();
  objBinaryFormatter.Serialize( objMemoryStream, objUserInfo );

  conMyData = new SqlConnection( "Server=localhost;Integrated Security=SSPI;Database=myData" );
  cmdInsert = new SqlCommand(    "Insert Userlist ( username, userinfo ) Values (@username, @userinfo )", conMyData );
  cmdInsert.Parameters.Add( "@username", txtUsername.Text );
  cmdInsert.Parameters.Add( "@userinfo", objMemoryStream.ToArray() );
  conMyData.Open();
    cmdInsert.ExecuteNonQuery();
  conMyData.Close();
}
</Script>

<html>
<head><title>SerializeClass.aspx</title></head>
<body>
<form runat="Server">

Username:
<br><asp:TextBox 
  id="txtUsername" 
  runat="Server" />
<p>
Password:
<br><asp:TextBox 
  id="txtPassword" 
  runat="Server" />
<p>
Email:
<br><asp:TextBox 
  id="txtEmail" 
  runat="Server" />
<p>
<asp:Button 
  Text="Submit!" 
  OnClick="Button_Click" 
  runat="Server" />

</form>
</body>
</html>
