<%@ Page Language="C#" %>
<%@ Import Namespace="myComponents" %>
<%@ Import Namespace="System.Messaging" %>

<script language="C#" runat=server>

void Button_Click(Object sender , EventArgs e) 
{
	MessageQueue mqMessages;
	ProductOrder objProduct;

	// Create Product Order
	objProduct = new ProductOrder();
	objProduct.ProductName = txtProductName.Text;
	objProduct.UnitPrice = Decimal.Parse(txtUnitPrice.Text);
	objProduct.Quantity = Int32.Parse(txtQuantity.Text);
	objProduct.EntryDate = DateTime.Now;

	// Check for ProductOrders Queue
	if (! MessageQueue.Exists( @".\ProductOrders" ) )
	{
		MessageQueue.Create( @".\ProductOrders" );
	}

	// Send Product Order 
	mqMessages = new MessageQueue( @".\ProductOrders" );
	mqMessages.Send( objProduct, "Product Order" )  ;

	// Clear Form Fields
	txtProductName.Text = "";
	txtUnitPrice.Text = "";
	txtQuantity.Text = "";
}

</Script>

<html>
<head><title>SendProductOrder.aspx</title></head>
<body>

<h2>Place Product Order</h2>
<form runat="Server">
<b>Product Name</b>
<br>
<asp:TextBox
  id="txtProductName"
  Runat="Server" />
<p>
<b>Unit Price</b>
<br>
<asp:TextBox
  ID="txtUnitPrice"
  Runat="Server" />
<p>
<b>Quantity</b>
<br>
<asp:TextBox
  ID="txtQuantity"
  Runat="Server" />
<p>
<asp:Button
  Text="Place Order!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
</body>
</html>