<%@ Page Language="C#" %>
<%@ Import Namespace="System.Messaging" %>

<script language="C#" runat=server>

void Button_Click(Object sender , EventArgs e) 
{
 MessageQueue mqMessages;

  if (!MessageQueue.Exists( @".\myQueue" ) ) {
    MessageQueue.Create( @".\myQueue" );
  }

  mqMessages = new MessageQueue( @".\myQueue" );
  mqMessages.Send( txtMessageBody.Text, txtMessageLabel.Text )  ;
  txtMessageLabel.Text = "";
  txtMessageBody.Text = "";
}

</Script>

<html>
<head><title>SendQueue.aspx</title></head>
<body>

<h2>Send Message to Message Queue</h2>
<form runat="Server">
<b>Message Label</b>
<br>
<asp:TextBox
  id="txtMessageLabel"
  Runat="Server" />
<p>
<b>Message Body</b>
<br>
<asp:TextBox
  ID="txtMessageBody"
  TextMode="Multiline"
  Columns="50"
  Rows="10"
  Runat="Server" />
<br>
<asp:Button
  Text="Send Message!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
</body>
</html>