<%@ Import Namespace="myComponents" %>
<%@ Import Namespace="System.Messaging" %>

<Script runat="Server">

Sub Page_Load
  Dim enumMessages As MessageEnumerator
  Dim mqMessages As MessageQueue
  Dim mqMessage As Message
  Dim objProduct As ProductOrder

  mqMessages = New MessageQueue( ".\ProductOrders" )
  enumMessages = mqMessages.GetMessageEnumerator()
  If enumMessages.MoveNext Then
    mqMessage = CType( enumMessages.Current, Message )
    mqMessage.Formatter = New XmlMessageFormatter( New String(){ "myComponents.ProductOrder,ProductOrder" } )
    objProduct = New ProductOrder
    objProduct = mqMessage.Body
    lblProductName.Text = objProduct.ProductName
    lblUnitPrice.Text = objProduct.UnitPrice
    lblQuantity.Text = objProduct.Quantity
    lblEntryDate.Text = objProduct.EntryDate
    enumMessages.RemoveCurrent()
  End If
End Sub

</Script>

<html>
<head><title>EnumerateProducts.aspx</title></head>
<body>
<form runat="Server">

<b>Product Name:</b>
<br>
<asp:Label
  id="lblProductName"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Unit Price</b>
<br>
<asp:Label
  id="lblUnitPrice"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Quantity</b>
<br>
<asp:Label
  id="lblQuantity"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Entry Date</b>
<br>
<asp:Label
  id="lblEntryDate"
  EnableViewState="False"
  Runat="Server" />
<p>
<asp:Button
  Text="Next Order"
  Runat="Server" />
  
</form>    
</body>
</html>