<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.IO" %>

<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim objRequest As HttpWebRequest
  Dim strRequest As String
  Dim arrRequest As Byte()
  Dim objUTF8Encoding As UTF8Encoding
  Dim strmRequest As Stream
  Dim objResponse As HttpWebResponse
  Dim srResponse As StreamReader

  ' Initialize request object  
  objRequest = _
    CType( WebRequest.Create( "http://localhost/Post.aspx" ), HttpWebRequest )
  objRequest.Method = "POST"
  objRequest.ContentType = "application/x-www-form-urlencoded"

  ' Create request body
  strRequest = "Message=" & Server.UrlEncode( txtMessage.Text )
  objUTF8Encoding = New UTF8Encoding
  arrRequest = objUTF8Encoding.GetBytes( strRequest )    

  ' Add body to request
  objRequest.ContentLength = arrRequest.Length
  strmRequest = objRequest.GetRequestStream()
  strmRequest.Write( arrRequest, 0, arrRequest.Length )
  strmRequest.Close()

  ' Get response
  objResponse = objRequest.GetResponse()
  srResponse = New StreamReader( objResponse.GetResponseStream(), Encoding.ASCII )
  lblResponse.Text =  srResponse.ReadToEnd()
  srResponse.Close()
End Sub

</Script> 

<html>
<head><title>HttpWebRequest.aspx</title></head>
<body>

<form runat="Server">

<h3>Enter a message:</h3>

<asp:TextBox
  id="txtMessage"
  Runat="Server" />

<asp:Button
  Text="Post!"
  OnClick="Button_Click"
  Runat="Server" />

<h3>Response:</h3>
<asp:Label
  id="lblResponse"
  EnableViewState="False"
  Runat="Server" />

</form>
</body>
</html>