<script language="C#" runat=server>

public IEnumerable DataSource;
public string  DataField;
public string  BackColor = "White";
public string  ForeColor = "Blue";

protected override void OnDataBinding( EventArgs e ) 
{
  IEnumerator objDataEnum;
  object objDataItem;
  string  strUrl = String.Empty;
  int intMaxData = 0;

  if (DataSource != null && DataField != null ) 
  {
    objDataEnum = DataSource.GetEnumerator();
    while ( objDataEnum.MoveNext() )
    {
      objDataItem = DataBinder.Eval( objDataEnum.Current, DataField );
      if ( IsNumeric(objDataItem) ) 
      {
        strUrl += "&d=" + objDataItem.ToString();
        if ( (int)objDataItem > intMaxData ) 
	  intMaxData = (int)objDataItem;
      }
    }
  }
  strUrl = "x=" + intMaxData + "&backcolor=" + BackColor + "&forecolor=" + ForeColor + strUrl;
  imgChartImage.ImageUrl = "ChartImage.aspx?" + strUrl;
}


bool IsNumeric(Object o)
{
  try 
  {
    Convert.ToInt32(o);
    return true;
  }
  catch 
  {
    return false;
  }
}
  
</Script>

<asp:Image
  ID="imgChartImage"
  Runat="Server" />
