<Script Runat="Server">

Public DataSource As IEnumerable
Public DataField As String
Public BackColor As String = "White"
Public ForeColor As String = "Blue"

Protected Overrides Sub OnDataBinding( e As EventArgs )
  Dim objDataEnum As IEnumerator
  Dim objDataItem As Object
  Dim strUrl As String
  Dim intMaxData As Integer

  If Not DataSource Is Nothing And DataField <> Nothing Then
    objDataEnum = DataSource.GetEnumerator()
    Do While( objDataEnum.MoveNext() )
      objDataItem = DataBinder.Eval( objDataEnum.Current, DataField )
      If IsNumeric( objDataItem ) Then
        strUrl &= "&d=" & Server.UrlEncode( objDataItem.ToString )
        If objDataItem > intMaxData Then intMaxData = objDataItem
      End If
    Loop
  strUrl = "x=" & intMaxData & "&backcolor=" & BackColor & "&forecolor=" & ForeColor & strUrl
  imgChartImage.ImageURL = "ChartImage.aspx?" & strURL
  End If
End Sub
</Script>

<asp:Image
  ID="imgChartImage"
  Runat="Server" />
