<%@ Page ContentType="image/gif" %>
<%@ Import namespace="System.Drawing" %>
<%@ Import namespace="System.Drawing.Imaging" %>
<%@ Import namespace="System.Drawing.Drawing2D" %>

<Script Runat="Server">

Sub Page_Load
  Dim objBitmap As Bitmap
  Dim objGraphics As Graphics
  Dim objPen As Pen

  ' Create Bitmap
  objBitmap = New Bitmap( 400, 200 )

  ' Create Graphics
  objGraphics = Graphics.FromImage( objBitmap )

  ' Create Custom Pen
  objPen = New Pen( Color.White )
  objPen.Width = 4

  ' Draw Dash Line
  objPen.DashStyle = DashStyle.Dash
  objGraphics.DrawLine( objPen, 10, 20, 350, 20 )

  ' Draw DashDot Line
  objPen.DashStyle = DashStyle.DashDot
  objGraphics.DrawLine( objPen, 10, 40, 350, 40 )

  ' Draw DashDotDot Line
  objPen.DashStyle = DashStyle.DashDotDot
  objGraphics.DrawLine( objPen, 10, 60, 350, 60 )

  ' Draw Dot Line
  objPen.DashStyle = DashStyle.Dot
  objGraphics.DrawLine( objPen, 10, 80, 350, 80 )

  ' Draw DashDotDot Line
  objPen.DashStyle = DashStyle.Solid
  objGraphics.DrawLine( objPen, 10, 100, 350, 100 )

  ' Display Bitmap
  objBitmap.Save( Response.OutputStream, ImageFormat.Gif )
End Sub

</Script>
