Imports System
Imports System.Web
Imports System.Web.UI
Imports System.Collections.Specialized

Namespace myControls

Public Class BlueTextBoxChanged
Inherits Control
Implements IPostBackDataHandler

Public Event TextChanged( s As Object, e As EventArgs )

Public Property Text As String
Set
  ViewState( "Text" ) = Value
End Set
Get
  If ViewState( "Text" ) <> Nothing Then
    Return ViewState( "Text" )
  Else
    Return String.Empty
  End If
End Get
End Property

Public Function LoadPostData( PostDataKey As String, Values As NameValueCollection ) As Boolean _
Implements IPostBackDataHandler.LoadPostData
  Dim strNewValue As String

  strNewValue = Values( Me.UniqueID )
  If strNewValue <> Text Then
    Text = strNewValue
    Return True
  Else
    Return False
  End If
End Function

Public Sub RaisePostDataChangedEvent() _
Implements IPostBackDataHandler.RaisePostDataChangedEvent
  OnTextChanged( EventArgs.Empty )
End Sub

Protected Sub OnTextChanged( e As EventArgs )
  RaiseEvent TextChanged( Me, e )
End Sub

Protected Overrides Sub Render( objTextWriter As HtmlTextWriter )
  objTextWriter.AddAttribute( "Name", Me.UniqueID )
  objTextWriter.AddStyleAttribute( "background-color", "Blue" )
  objTextWriter.AddStyleAttribute( "color", "Yellow" )
  objTextWriter.AddAttribute( "value", Text )
  objTextWriter.RenderBeginTag( "input" )
  objTextWriter.RenderEndTag
End Sub

End Class

End Namespace
