<%@Page Language="C#" %>
<!-- #INCLUDE Virtual="~/site/includes/header.aspx" -->

<script language="C#" runat=server>
string  strPageOwner;
void Page_Load(Object sender , EventArgs e) 
{

 SqlConnection conJobs;
 string  strConString;
 SqlCommand cmdSelect;
 SqlDataReader dtrDataReader;
 bool blnIsResume;

  if (! IsPostBack )
  {
    // get Page Owner From Query string 
    strPageOwner = Request.QueryString[ "PageOwner" ];
    ViewState[ "PageOwner" ] = strPageOwner;
 
   // Build Enquire Link
    lnkEnquire.NavigateUrl = string.Format("~/site/password/enquire.aspx?id={0}", strPageOwner );

    // get Page Info From Database
    strConString = ConfigurationSettings.AppSettings["constring"];
    conJobs = new SqlConnection( strConString );
    cmdSelect = new SqlCommand( "getUserPage", conJobs );
    cmdSelect.CommandType = CommandType.StoredProcedure;
    cmdSelect.Parameters.Add( "@username", strPageOwner );
    conJobs.Open();
    dtrDataReader = cmdSelect.ExecuteReader();
    if ( dtrDataReader.Read() ) 
    {
      lblBriefDesc.Text = dtrDataReader[ "ul_briefdesc" ].ToString();
      lblFullDesc.Text = dtrDataReader[ "ul_fulldesc" ].ToString();
     // blnIsResume = dtrDataReader[ "ul_isresume" ].ToString();
    } 
    else
    {
      Response.Redirect( "~/default.aspx" );
    }
    dtrDataReader.Close();

    // get Job List
    //if (! blnIsResume )
    {
      cmdSelect.CommandText = "getJobs";
      dtrDataReader = cmdSelect.ExecuteReader();
      dgrdCurrentJobs.DataSource = dtrDataReader;
      dgrdCurrentJobs.DataBind();
      dtrDataReader.Close();
      if ( dgrdCurrentJobs.Items.Count > 0 )
      {
        pnlCurrentJobs.Visible = true;
      }
    }

    // get Enquiry List
    //if ( IsPageOwner( strPageOwner ) )
    {
      cmdSelect.CommandText = "getEnquiries";
      dtrDataReader = cmdSelect.ExecuteReader();
      dgrdEnquiries.DataSource = dtrDataReader;
      dgrdEnquiries.DataBind();
      dtrDataReader.Close();
    }
    conJobs.Close();
  }
  else
  {
    strPageOwner = ViewState[ "PageOwner" ].ToString();
  }

  // Show Brief Title Description;
  ctrlHeader.PageTitle = lblBriefDesc.Text;
}

void Page_PreRender (Object sender , EventArgs e)
{
  // Check if This is Users Page
  // get Page Owner From Query string 
    strPageOwner = Request.QueryString[ "PageOwner" ];
    ViewState[ "PageOwner" ] = strPageOwner;
  if ( ctrlUserLinks.IsPageOwner( strPageOwner ) )
  {
    pnlUserIntro.Visible = true;
    pnlViewEnquiries.Visible = true;
  }
  else
  {
    pnlUserIntro.Visible = false;
    pnlUpdatePage.Visible = false;
    pnlViewEnquiries.Visible = false;
    pnlViewPage.Visible = true;
  }
}

void UpdatePage( object s, EventArgs e )
{
  pnlUpdatePage.Visible = true  ;
   
  txtBriefDesc.Text = lblBriefDesc.Text;
  txtFullDesc.Text = lblFullDesc.Text;
  pnlViewPage.Visible = false;
}

void SaveDescription( object s, EventArgs e )
{
   SqlConnection conJobs;
   string  strConString;
   SqlCommand cmdUpdate;

  if ( ctrlUserLinks.IsPageOwner( strPageOwner ) )
  {
    strConString = ConfigurationSettings.AppSettings[ "constring" ];
    conJobs = new SqlConnection( strConString );
    cmdUpdate = new SqlCommand( "updateUserInfo", conJobs );
    cmdUpdate.CommandType = CommandType.StoredProcedure;
    cmdUpdate.Parameters.Add( "@username", strPageOwner );
    cmdUpdate.Parameters.Add( "@briefdesc", txtBriefDesc.Text );
    cmdUpdate.Parameters.Add( "@fulldesc", txtFullDesc.Text );
    conJobs.Open();
      cmdUpdate.ExecuteNonQuery();
    conJobs.Close();
    pnlViewPage.Visible = true;
    lblBriefDesc.Text = txtBriefDesc.Text;
    lblFullDesc.Text = txtFullDesc.Text;
    ctrlHeader.PageTitle = txtBriefDesc.Text;
    pnlUpdatePage.Visible = false  ;
  }
}

</Script>

<myControls:Header
  ID="ctrlHeader"
  Runat="Server" />
<form runat="Server">

<myControls:UserLinks
  ID="ctrlUserLinks"
  Runat="Server" />
<br clear="all">

<%-- User Info Panel --%>
<asp:Panel
  ID="pnlUserIntro"
  Visible="False"
  CssClass="UserInfoPanel"
  Runat="Server">
Hi <%=strPageOwner %>! Welcome to your page!
<br>
If you would like to update the contents of
this page, 
<asp:LinkButton
  Text="click here"
  OnClick="UpdatePage"
  Runat="Server" />
</asp:Panel>

<%-- View Page Panel --%>
<asp:Placeholder
  ID="pnlViewPage"
  Runat="Server">
  <asp:Label
    ID="lblBriefDesc"
    CssClass="TopHeading"
    runat="Server"/>
<table cellspacing="5" cellpadding="5" border=0>
<tr><td valign="top" width="500" bgcolor="#eeeeee">
  <asp:Label
    ID="lblFullDesc"
    Runat="Server" />
</asp:Placeholder>

<%-- Update Page Panel --%>
<asp:Placeholder
  ID="pnlUpdatePage"
  Visible="False"
  Runat="Server" >
<table cellspacing=10 border=0>
<tr><td valign="top" width="500">
<b>Brief Description</b>
<br>
<asp:TextBox
  ID="txtBriefDesc"
  Columns="50"
  CssClass="formfield"
  Runat="Server" />
<p>
<b>Full Description</b>
<br>
<asp:TextBox
  ID="txtFullDesc"
  TextMode="Multiline"
  Columns="70"
  Rows="10"
  CssClass="formfield"
  Runat="Server" />
<br>
<asp:Button
  Text="Save!"
  OnClick="SaveDescription"
  Runat="Server" />
</asp:Placeholder>

</td><td valign="top">

<asp:HyperLink
  ID="lnkEnquire"
  Text="enquire"
  Runat="Server" />
<br>
Click here to request more information
about this individual or company
<p>
<asp:Panel
  ID="pnlViewEnquiries"
  CssClass="UserInfoPanel"
  Visible="False"
  Runat="Server">
<b>View Enquiries</b>
<br>
<asp:DataGrid
  ID="dgrdEnquiries"
  GridLines="None"
  font-size="10pt"
  AutoGenerateColumns="False"
  ShowHeader="False"
  Cellpadding="3"
  Runat="Server">
<Columns>
<asp:BoundColumn
  DataField="e_entrydate"
  DataFormatString="{0:m}" />
<asp:HyperLinkColumn
  DataTextField="e_from"
  DataNavigateUrlField="e_id" 
  DataNavigateUrlFormatString="~/site/password/viewenquire.aspx?id={0}"/>
</Columns>
</asp:DataGrid>
</asp:Panel>

<asp:Panel
  ID="pnlCurrentJobs"
  Visible="False"
  Runat="Server">
<h3>Current Job Openings</h3>
<asp:DataGrid
  ID="dgrdCurrentJobs"
  AutoGenerateColumns="False"
  GridLines="None"
  Cellpadding="4"
  AlternatingItemStyle-BackColor="aliceblue"
  ShowHeader="False"
  Runat="Server">
<Columns>
<asp:BoundColumn 
  DataField="job_entrydate"
  DataFormatString="{0:m}" />
<asp:HyperLinkColumn
  DataTextField="job_briefdesc"
  DataNavigateUrlField="job_id" 
  DataNavigateUrlFormatString="~/site/job.aspx?id={0}" />
</Columns>
</asp:DataGrid>
</asp:Panel>

</td></tr>
</table>
</form>

<myControls:Footer
  Runat="Server" />