<%@ WebService Language="C#" Class="myServices.JobService" %>

using System;
using System.Web.Services;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;

namespace myServices {

	[WebService(Namespace="http://yourdomain.com/webservices/")]
	public class JobService : WebService {

		[WebMethod] 
		public DataSet GetNewJobs() {
			string strConString;
			SqlConnection conJobs;
			SqlDataAdapter dadJobs;
			DataSet dstJobs;
			
			dstJobs = (DataSet)Context.Cache["NewJobs"];
			if (dstJobs == null) {
				// Ready Database Connection
				strConString = ConfigurationSettings.AppSettings["constring"];
				conJobs = new SqlConnection( strConString );
				dstJobs = new DataSet();
				// Get Newest 50 Jobs From Database
				dadJobs = new SqlDataAdapter( "getNewJobs", conJobs );
				dadJobs.SelectCommand.CommandType = CommandType.StoredProcedure;
				dadJobs.Fill( dstJobs, "NewJobs" );
				Context.Cache["NewJobs"] = dstJobs;
			}
			return dstJobs;
		}

		[WebMethod] 
		public DataSet GetNewResumes() {
			string strConString;
			SqlConnection conJobs;
			SqlDataAdapter dadResumes;
			DataSet dstResumes;
			
			dstResumes = (DataSet)Context.Cache["NewResumes"];
			if (dstResumes == null) {
				// Ready Database Connection
				strConString = ConfigurationSettings.AppSettings["constring"];
				conJobs = new SqlConnection(strConString);
				dstResumes = new DataSet();
				// Get Newest 50 Resumes From Database
				dadResumes = new SqlDataAdapter( "getNewResumes", conJobs );
				dadResumes.SelectCommand.CommandType = CommandType.StoredProcedure;
				dadResumes.Fill( dstResumes, "NewResumes" );
				Context.Cache["NewResumes"] = dstResumes;
			}
			return dstResumes;
		}
	}
}
