<!-- #INCLUDE Virtual="/aspnetjobs/site/includes/header.aspx" -->

<Script runat="Server">

Dim intJobID As String

Sub Page_Load
  If Not IsPostback Then
    intJobID = Request.QueryString( "id" )
    Viewstate( "jobID" ) = intJobID
  Else
    intJobID = Viewstate( "jobID" )
  End If
End Sub

Sub Button_Click( s As Object, e As EventArgs )
  Dim conJobs As SqlConnection
  Dim strConString As String
  Dim cmdInsert As SqlCommand

  If IsValid Then
  strConString = ConfigurationSettings.AppSettings( "constring" )
  conJobs = New SqlConnection( strConString )
  cmdInsert = New SqlCommand( "addApplication", conJobs )
  cmdInsert.CommandType = CommandType.StoredProcedure
  cmdInsert.Parameters.Add( "@from", Page.User.Identity.Name )
  cmdInsert.Parameters.Add( "@jobID", intJobID )
  cmdInsert.Parameters.Add( "@message", txtMessage.Text )
  conJobs.Open()
    cmdInsert.ExecuteNonQuery()
  conJobs.Close()
  Response.Redirect( _
    String.Format( _
      "/aspnetjobs/site/job.aspx?id={0}", _
      intJobID ) )
  End If
End Sub

</Script>

<myControls:Header
  PageTitle="Enquire"
  Runat="Server" />

<form runat="Server">

<myControls:UserLinks
  Runat="Server" />
<br clear="all">
Enter a message to send with your resume in the text box below:
<br>
<asp:TextBox
  ID="txtMessage"
  TextMode="Multiline"
  Columns="80"
  Rows="5"
  CssClass="formfield"
  Runat="Server" />
<br>
<asp:Button
  Text="Apply!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
<myControls:Footer
  Runat="Server" />
