<!-- #INCLUDE Virtual="/aspnetjobs/site/includes/header.aspx" -->

<Script Runat="Server">

Sub Page_Load
  Dim intApplicationID As Integer
  Dim strConString As String
  Dim conJobs As SqlConnection
  Dim cmdSelect As SqlCommand
  Dim dtrApplication As SqlDataReader
  Dim strUsername As String
  Dim dtmEntryDate As DateTime

  ' Get Application ID
  intApplicationID = Request.QueryString( "id" )

  ' Get Application From Database
  strConString = ConfigurationSettings.AppSettings( "constring" )
  conJobs = New SqlConnection( strConString )
  cmdSelect = New SqlCommand( "getApplication", conJobs )
  cmdSelect.CommandType = CommandType.StoredProcedure
  cmdSelect.Parameters.Add( "@id", intApplicationID )
  conJobs.Open()
    dtrApplication = cmdSelect.ExecuteReader()
    If dtrApplication.Read() Then
      lblMessage.Text = dtrApplication( "app_message" )
      strUsername = dtrApplication( "app_from" )
      dtmEntryDate = dtrApplication( "app_entrydate" )
    End If
  conJobs.Close()
  lblPreamble.Text = _
    String.Format( _
    "On {0:f}, {1} wrote", dtmEntrydate, strUsername )
  lnkUsername.Text = _
    String.Format( _
    "{0}.aspx", strUsername )
  lnkUsername.NavigateUrl = _
    String.Format( _
    "/aspnetjobs/{0}.aspx", strUsername )
End Sub

</Script>

<myControls:Header
  pageTitle="View Job Application"
  Runat="Server" />

<asp:Label
  id="lblPreamble"
  Runat="Server" />
<p>
<asp:Panel
  CssClass="UserContent"
  Runat="Server">
<asp:Label
  ID="lblMessage"
  Runat="Server" />
</asp:Panel>
<p>
To visit the resume of this individual or company, click below:
<blockquote>
<asp:HyperLink
  ID="lnkUsername"
  Runat="Server" />
</blockquote>

<myControls:Footer
  Runat="Server" />