<!-- #INCLUDE Virtual="/aspnetjobs/site/includes/header.aspx" -->

<Script Runat="Server">

Sub Page_Load
  Dim intEnquiryID As Integer
  Dim strConString As String
  Dim conJobs As SqlConnection
  Dim cmdSelect As SqlCommand
  Dim dtrEnquire As SqlDataReader
  Dim strUsername As String
  Dim dtmEntryDate As DateTime

  ' Get Enquiry ID
  intEnquiryID = Request.QueryString( "id" )

  ' Get Description From Database
  strConString = ConfigurationSettings.AppSettings( "constring" )
  conJobs = New SqlConnection( strConString )
  cmdSelect = New SqlCommand( "getEnquiry", conJobs )
  cmdSelect.CommandType = CommandType.StoredProcedure
  cmdSelect.Parameters.Add( "@id", intEnquiryID )
  conJobs.Open()
    dtrEnquire = cmdSelect.ExecuteReader()
    If dtrEnquire.Read() Then
      lblMessage.Text = dtrEnquire( "e_message" )
      strUsername = dtrEnquire( "e_from" )
      dtmEntryDate = dtrEnquire( "e_entrydate" )
    End If
  conJobs.Close()
  lblPreamble.Text = _
    String.Format( _
    "On {0:f}, {1} wrote", dtmEntryDate, strUsername )
  lnkUsername.Text = _
    String.Format( _
    "{0}.aspx", strUsername )
  lnkUsername.NavigateUrl = _
    String.Format( _
    "/aspnetjobs/{0}.aspx", strUsername )
End Sub

</Script>

<myControls:Header
  PageTitle="View Enquiry"
  Runat="Server" />

<asp:Label
  id="lblPreamble"
  Runat="Server" />
<p>
<asp:Panel
  CssClass="UserContent"
  Runat="Server">
<asp:Label
  ID="lblMessage"
  Runat="Server" />
</asp:Panel>
<p>
To visit the home page of this individual or company, click below:
<blockquote>
<asp:HyperLink
  ID="lnkUsername"
  Runat="Server" />
</blockquote>

<myControls:Footer
  Runat="Server" />