<%@ WebService Language="vb" Class="myServices.JobService" %>

Imports System
Imports System.Web.Services
Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

Namespace myServices

<WebService(Namespace:="http://yourdomain.com/webservices/")> _
Public Class JobService 
Inherits WebService

<WebMethod()> Function GetNewJobs() As DataSet
  Dim strConString As String
  Dim conJobs As SqlConnection
  Dim dadJobs As SqlDataAdapter
  Dim dstJobs As DataSet

  dstJobs = Context.Cache( "NewJobs" )
  If dstJobs Is Nothing Then
    ' Ready Database Connection
    strConString = ConfigurationSettings.AppSettings( "constring" )
    conJobs = New SqlConnection( strConString )
    dstJobs = New DataSet()
    ' Get Newest 50 Jobs From Database
    dadJobs = New SqlDataAdapter( "getNewJobs", conJobs )
    dadJobs.SelectCommand.CommandType = CommandType.StoredProcedure
    dadJobs.Fill( dstJobs, "NewJobs" )
    Context.Cache( "NewJobs" ) = dstJobs
  End If
  Return dstJobs
End Function

<WebMethod()> Function GetNewResumes() As DataSet
  Dim strConString As String
  Dim conJobs As SqlConnection
  Dim dadResumes As SqlDataAdapter
  Dim dstResumes As DataSet

  dstResumes = Context.Cache( "NewResumes" )
  If dstResumes Is Nothing Then
    ' Ready Database Connection
    strConString = ConfigurationSettings.AppSettings( "constring" )
    conJobs = New SqlConnection( strConString )
    dstResumes = New DataSet()
    ' Get Newest 50 Resumes From Database
    dadResumes = New SqlDataAdapter( "getNewResumes", conJobs )
    dadResumes.SelectCommand.CommandType = CommandType.StoredProcedure
    dadResumes.Fill( dstResumes, "NewResumes" )
    Context.Cache( "NewResumes" ) = dstResumes
  End If
  Return dstResumes
End Function

End Class
End Namespace