<script language="C#" runat=server>

public bool Validate = true;

public string  Street {
  get {
    return txtStreet.Text;
  }
  set {
    txtStreet.Text = value;
  }
}

public string  City {
  get {
    return txtCity.Text;
  }
  set {
    txtCity.Text = value;
  }
}

public string  State {
  get {
    return txtState.Text;
  }
  set {
    txtState.Text = value;
  }
}

public string  ZIP {
  get {
    return txtZIP.Text;
  }
  set {
    txtZIP.Text = value;
  }
}

void Page_Load(Object sender , EventArgs e) 
{
  if (! Validate ) {
    valrStreet.Enabled = false;
    valrCity.Enabled = false;
    valrState.Enabled = false;
    valrZIP.Enabled = false;
  } else {
    valrStreet.Enabled = true;
    valrCity.Enabled = true;
    valrState.Enabled = true;
    valrZIP.Enabled = true;
  }
}
</Script>

<table cellpadding="5" width="500">
<tr>
  <td colspan="3" valign="top">
  Street Address
  <asp:RequiredFieldValidator
    id="valrStreet"
    EnableClientScript="False"
    Text="(required)"
    ControlToValidate="txtStreet"
    Runat="Server" />
  <br>
  <asp:TextBox
    id="txtStreet"
    Columns="40"
    MaxLength="50"
    Runat="Server" />
  </td>
</tr>
<tr>
  <td valign="top"> 
  City
  <asp:RequiredFieldValidator
    id="valrCity"
    EnableClientScript="False"
    Text="(required)"
    ControlToValidate="txtCity"
    Runat="Server" />
  <br>
  <asp:TextBox
    id="txtCity"
    Columns="10"
    MaxLength="50"
    Runat="Server" />
  </td>
  <td valign="top">
  State/Province
  <asp:RequiredFieldValidator
    id="valrState"
    EnableClientScript="False"
    Text="(required)"
    ControlToValidate="txtState"
    Runat="Server" />
  <br>
  <asp:TextBox
    id="txtState"
    Columns="2"
    Maxlength="2"
    Runat="Server" />
  </td>
  <td valign="top">
  ZIP/Postal Code
  <asp:RequiredFieldValidator
    id="valrZIP"
    EnableClientScript="False"
    Text="(required)"
    ControlToValidate="txtZIP"
    Runat="Server" />
  <br>
  <asp:TextBox
    id="txtZIP"
    Columns="10"
    Maxlength="15"
    Runat="Server" />
  </td>
</tr>
</table>