<!-- #include virtual="/aspnetstore/includes/header.aspx" -->

<Script runat="Server">

Dim objShoppingCart As ShoppingCart

Sub Page_Load
  Dim intCategory As Integer


  intCategory = Context.Items( "Category" )
  lbtnBack.NavigateUrl = String.Format( _
    "Category.aspx?cat={0}", intCategory )
  lbtnPlaceOrder.NavigateUrl = String.Format( _
    "PlaceOrder.aspx?cat={0}", intCategory )

  objShoppingCart = New ShoppingCart
  BindDataGrid
End Sub

Sub LinkButton_Click( s As Object, e As DataGridCommandEventArgs )
  objShoppingCart.Remove( e.Item.ItemIndex )
  BindDataGrid
End Sub

Sub BindDataGrid
  dgrdShoppingCart.DataSource = objShoppingCart.Items
  dgrdShoppingCart.DataBind()
End Sub
</Script>

<html>
<head>
<link href="/aspnetstore/Styles/Store.css" type="text/css" rel="stylesheet" />
<title>The Store</title>
</head>
<body bgcolor="lightblue">
<a href="Default.aspx"><img src="banner.gif" border="1"></a>
<form runat="Server">

<myControls:Tabs
  Runat="Server" />
<table width="800" height="100%" cellpadding="10" cellspacing="0">
<tr>
  <td width="100%" valign="top" bgcolor="white">

<center>
<h2>Are you ready to place an order for the following items?</h2>

<table>
<tr>
  <td>
<asp:DataGrid
  id="dgrdShoppingCart"
  OnItemCommand="LinkButton_Click"
  AutoGenerateColumns="False"
  GridLines="Horizontal"
  BackColor="White"
  BorderStyle="Solid"
  BorderColor="Black"
  BorderWidth="4"
  Width="400"
  CellPadding="6"
  Font-Face="Arial"
  Font-Size="12pt"
  HeaderStyle-Font-Face="Arial"
  HeaderStyle-Font-Size="12pt"
  HeaderStyle-BackColor="orange"
  Runat="Server">
<Columns>
  <asp:TemplateColumn>
    <ItemTemplate>
    <asp:LinkButton
      Text="Remove"
      Style="color:red;font:9pt Arial;text-decoration:none"
      Runat="Server" />
    </ItemTemplate>
  </asp:TemplateColumn> 
  <asp:BoundColumn
    DataField="ProductName" 
    HeaderText="Item" />
  <asp:BoundColumn
    DataField="UnitPrice"
    DataFormatString="{0:c}" 
    HeaderText="Price" />
  <asp:BoundColumn
    DataField="Quantity"
    HeaderText="Quantity" />
</Columns>
</asp:DataGrid>
  </td>
</tr>
<tr>
  <td align="right">
  <font size="4"><b>
  Total: 
  <%=String.Format( "{0:c}", objShoppingCart.GetItemTotal() )%>
  </b></font>
  </td>
</tr>
</table>
<p>
<table width="350">
<tr>
  <td>
  <asp:HyperLink
    id="lbtnBack"
    Text="<< Back"
    Style="font: bold 12pt Arial"
    Runat="Server" />
  </td>
  <td align="right">
  <asp:HyperLink
    id="lbtnPlaceOrder"
    Text="Place Order >>"
    Style="font: bold 12pt Arial"
    Runat="Server" />
  </td>
</tr>
</table>
</center>

  </td>
</tr>
</table>

</form>

<!-- #include virtual="/aspnetstore/includes/footer.aspx" -->